﻿using Library;

namespace Client.Envir.Translations
{
    [ConfigPath(@".\Translations\ChineseMessages.ini", Disabled = false)]
    public class ChineseMessages : StringMessages
    {
        [ConfigSection("Message")]
        public override string CannotChangeGenderWhileWearingArmour { get; set; } = "衣服穿戴中无法进行变性操作.";
        public override string WearingArmourBeforeDye { get; set; } = "You need to be wearing an armour before you can apply a dye.";
        public override string UnableToRepairHere { get; set; } = "无法在 {0} 这里进行修复.";
        public override string UnableToRepairFullyRepaired { get; set; } = "无法重复修复 {0}, 它已经完全修复好了.";
        public override string UnableToCraft { get; set; } = "Unable to use {0} to Craft.";
        public override string UnableToFragment { get; set; } = "Unable to Fragment {0}, it cannot be Fragmented.";
        public override string UnableToSellHere { get; set; } = "无法在 {0} 这里进行售卖.";
        public override string UnableToSellHereCannotSold { get; set; } = "Unable to Sell {0}, it cannot be sold.";
        public override string UnableToLevel { get; set; } = "Unable to Level {0}.";
        public override string UnableToUseToLevel { get; set; } = "Unable to use {0} to level.";
        public override string UnableToReset { get; set; } = "无法重置 {0}.";
        public override string UnableToTrade { get; set; } = "无法交易该物品.";
        public override string UnableToRefine { get; set; } = "无法炼制 {0}.";
        public override string UnableToUpgrade { get; set; } = "无法升级 {0}.";
        public override string UnableToRefineIncorrectItem { get; set; } = "Unable to use {0} to refine.";
        public override string UnableToRefineHasBeenLevelled { get; set; } = "Unable to refine {0} because it has been levelled.";
        public override string UnableToRefineNeedCorundumOre { get; set; } = "You cannot use {0}, you must use Corundum Ore.";
        public override string UnableToStoreInGuildStorage { get; set; } = "Unable to store this item in guild storage.";
        public override string OnlyBlackIronOreCanBeUsed { get; set; } = "Only Black Iron Ore can be used.";
        public override string DoesntHaveSameStats { get; set; } = "{0} doesnt have the same stats as the main accessory.";
        public override string NoFreeSpaceInInventory { get; set; } = "背包已经满了.";
        public override string NoFreeSpaceInStorage { get; set; } = "仓库已经满了.";
        public override string NoFreeSpaceInCompanionInventory { get; set; } = "宠物的背包已经满了.";
        public override string WeaponEnergyFlamingSword { get; set; } = "Energy builds up within your weapon, Flaming Sword is ready.";
        public override string WeaponEnergyDragonRise { get; set; } = "Energy builds up within your weapon, Dragon Rise is ready.";
        public override string WeaponEnergyBladeStorm { get; set; } = "Energy builds up within your weapon, Blade Storm is ready.";
        public override string WeaponEnergyDefensiveBlow { get; set; } = "Energy builds up within your weapon, Defensive Blow is ready.";
        public override string LevelIncreased { get; set; } = "已升级";
        public override string GainedExperience { get; set; } = "获得经验值 {0:#,##0.#}";
        public override string LostExperience { get; set; } = "失去经验值 {0:#,##0.#}.";
        public override string GainedExperienceAndWeaponExperience { get; set; } = "Experience Gained {0:#,##0.#}, Weapon Experience {1:#,##0.#}.";
        public override string GainedExperienceAndReadyForRefine { get; set; } = "Experience Gained {0:#,##0.#}, Your weapon is ready for refine.";
        public override string ItemGained { get; set; } = "你获得 {0}.";
        public override string ItemsGained { get; set; } = "你获得 {0} x{1}.";
        public override string NothingHappen { get; set; } = "Nothing happen to your {0}";
        public override string ItemStatsNewElement { get; set; } = "Your {0} has been effected: New Element {1}";
        public override string ItemStatsEffected { get; set; } = "Your {0} has been effected: {1}";
        public override string ItemDurabilityDrop { get; set; } = "Your item {0} has dropped to durability 0";
        public override string RefineSuccess { get; set; } = "Your Refine has been placed successfully, please collect your weapon in {0}";
        public override string GroupJoin { get; set; } = "-{0} 已经加入了编组.";
        public override string GroupRemove { get; set; } = "-{0} 已经离开了编组.";
        public override string GuildWarStarted { get; set; } = "You are at war with {0} for {1}";
        public override string GuildWarFinished { get; set; } = "与行会 {0} 的行会战已结束.";
        public override string CompanionItemGained { get; set; } = "你的宠物获得 {0}.";
        public override string CompanionItemsGained { get; set; } = "你的宠物获得 {0} x{1}.";
        public override string UseThrusting { get; set; } = "使用刺杀.";
        public override string DoNotUseThrusting { get; set; } = "不用刺杀.";
        public override string UseHalfMoon { get; set; } = "使用半月攻击.";
        public override string DoNotUseHalfMoon { get; set; } = "不用半月攻击.";
        public override string UseDestructiveSurge { get; set; } = "Use Destructive Surge.";
        public override string DoNotUseDestructiveSurge { get; set; } = "Do not use Destructive Surge.";
        public override string UseFlameSplash { get; set; } = "Use Flame Splash.";
        public override string DoNotUseFlameSplash { get; set; } = "Do not use Flame Splash.";
        public override string GameSceneAutoRunOn { get; set; } = "[自动寻路: 开]";
        public override string GameSceneAutoRunOff { get; set; } = "[自动寻路: 关]";
        public override string GameSceneSkillReady { get; set; } = "{0}已就绪.";
        public override string GameSceneCastInCooldown { get; set; } = "Unable to cast {0}, it is still on Cooldown.";
        public override string GameSceneCastInCombat { get; set; } = "Unable to cast {0} whilst in combat";
        public override string GameSceneCastNoEnoughHealth { get; set; } = "Unable to cast {0}, You do not have enough Health.";
        public override string GameSceneCastNoEnoughMana { get; set; } = "Unable to cast {0}, You do not have enough Mana.";
        public override string GameSceneCastTooFar { get; set; } = "Unable to cast {0}, Your target is too far.";

        public override string GameSceneThrowTooFar { get; set; } = "Unable to throw {0}, Your target is too far.";
        public override string GameSceneHoldTooHeavy { get; set; } = "Unable to hold {0}, it is too heavy.";
        public override string GameSceneNeedFishingRod { get; set; } = "Unable to hold {0}, must be holding fishing rod.";
        public override string GameSceneWearTooHeavy { get; set; } = "Unable to wear {0}, it is too heavy.";
        public override string ChatLayoutLoaded { get; set; } = "Chat Layout Loaded";
        public override string ChatLayoutSaved { get; set; } = "Chat Layout Saved";
        public override string MailNew { get; set; } = "You have received a new mail from {0}.";
        public override string CommunicationCannotDeleteMailWithItems { get; set; } = "You cannot delete a mail with items inside";
        public override string DungeonAlreadyInInstance { get; set; } = "You are already in an instance.";
        public override string DungeonRegionNotConfigured { get; set; } = "Connect Region not configured for this instance.";
        public override string DungeonNotCorrectLevel { get; set; } = "You are not the correct level.";
        public override string DungeonInGroup { get; set; } = "You must be in a group.";
        public override string DungeonNotEnoughPeople { get; set; } = "There are not enough people in your group.";
        public override string DungeonTooManyPeople { get; set; } = "There are too many people in your group.";
        public override string DungeonInGuild { get; set; } = "You must be in a guild.";
        public override string DungeonInCastle { get; set; } = "Your guild must own a castle.";
        public override string CharacterSameGender { get; set; } = "You are already a {0}.";
        public override string LogoutInCombat { get; set; } = "Unable to logout whilst in combat.";
        public override string ExitInCombat { get; set; } = "Unable to exit game whilst in combat.";
        public override string FilterConfigSaved { get; set; } = "Drop filters have been saved to your configuration";
        public override string GroupMemberLimit { get; set; } = "Group member limit has been reached";
        public override string GroupNotLeader { get; set; } = "You are not the leader of your group.";
        public override string MarketNoItemSelected { get; set; } = "Error: No Item selected.";
        public override string MarketInvalidPrice { get; set; } = "Error: Invalid Price.";
        public override string BuySellOverweight { get; set; } = "You do not have enough weight to buy any '{0}'.";
        public override string BuySellNeedGold { get; set; } = "You do not have enough gold to buy a '{0}'.";
        public override string QuestSelectReward { get; set; } = "Please select a reward.";
        public override string CompanionNeedTicket { get; set; } = "You need a Companion Ticket to unlock a new appearance";
        public override string RefineNeedIronOre { get; set; } = "You need Iron Ore x4 to create a Refinement Stone";
        public override string RefineNeedSilverOre { get; set; } = "You need Silver Ore x4 to create a Refinement Stone";
        public override string RefineNeedDiamond { get; set; } = "You need Diamond x4 to create a Refinement Stone";
        public override string RefineNeedGoldOre { get; set; } = "You need Gold Ore x2 to create a Refinement Stone";
        public override string RefineNeedCrystal { get; set; } = "You need Crystal x1 to create a Refinement Stone";
        public override string RefineNeedGold { get; set; } = "You cannot aford to offer this amount of gold.";
        public override string RefineNeedFragmentI { get; set; } = "You need Fragment (I) x10 to Master Refine";
        public override string RefineNeedFragmentII { get; set; } = "You need Fragment (II) x10 to Master Refine";
        public override string RefineNeedFragmentIII { get; set; } = "You need at least 1x Fragment (III) to Master Refine";
        public override string RefineNeedRefinementStone { get; set; } = "You need Refinement Stone x1 to Master Refine";
        public override string SpectatorModeWarningInCombat { get; set; } = "Unable to observe whilst in combat.";
        public override string SpectatorModeWarningInSafezone { get; set; } = "You can only change spectator mode whilst in safezone.";
        public override string ScreenshotSaved { get; set; } = "截屏已保存 {0}";

        [ConfigSection("Common")]
        public override string CommonControlApply { get; set; } = "应用";
        public override string CommonControlCancel { get; set; } = "取消";
        public override string CommonControlClose { get; set; } = "关闭";
        public override string CommonControlConfirm { get; set; } = "确认";
        public override string CommonControlExit { get; set; } = "退出";
        public override string CommonControlNo { get; set; } = "否";
        public override string CommonControlOk { get; set; } = "是";
        public override string CommonControlSelect { get; set; } = "选择";
        public override string CommonControlYes { get; set; } = "是";
        public override string CommonControlDefaults { get; set; } = "默认";
        public override string CommonControlColourPickerTitle { get; set; } = "颜色选择";
        public override string CommonControlColourPickerRedLabel { get; set; } = "红色:";
        public override string CommonControlColourPickerGreenLabel { get; set; } = "绿色:";
        public override string CommonControlColourPickerBlueLabel { get; set; } = "蓝色:";
        public override string CommonControlColourPickerColourLabel { get; set; } = "颜色:";
        public override string CommonControlColourPickerNoneLabel { get; set; } = "无";  
        public override string CommonControlColourPickerEmptyLabel { get; set; } = "无颜色";
        public override string CommonControlConfigWindowTitle { get; set; } = "配置";
        public override string CommonControlConfigWindowGraphicsTabLabel { get; set; } = "图形";
        public override string CommonControlConfigWindowSoundTabLabel { get; set; } = "声音";
        public override string CommonControlConfigWindowGameTabLabel { get; set; } = "游戏";
        public override string CommonControlConfigWindowNetworkTabLabel { get; set; } = "网络";
        public override string CommonControlConfigWindowColoursTabLabel { get; set; } = "颜色";
        public override string CommonControlConfigWindowGraphicsTabFullScreenLabel { get; set; } = "全屏:";
        public override string CommonControlConfigWindowGraphicsTabGameSizeLabel { get; set; } = "分辨率:";
        public override string CommonControlConfigWindowGraphicsTabVSyncLabel { get; set; } = "V-Sync:";
        public override string CommonControlConfigWindowGraphicsTabLimitFPSLabel { get; set; } = "FPS限制:";
        public override string CommonControlConfigWindowGraphicsTabSmoothMoveLabel { get; set; } = "平滑移动:";
        public override string CommonControlConfigWindowGraphicsTabClipMouseLabel { get; set; } = "Clip Mouse:";
        public override string CommonControlConfigWindowGraphicsTabDebugLabelLabel { get; set; } = "调试标签:";
        public override string CommonControlConfigWindowGraphicsTabLanguageLabel { get; set; } = "语言:";
        public override string CommonControlConfigWindowSoundTabBackgroundSoundLabel { get; set; } = "背景音乐:";
        public override string CommonControlConfigWindowSoundTabSystemVolumeLabel { get; set; } = "系统音量:";
        public override string CommonControlConfigWindowSoundTabMusicVolumeLabel { get; set; } = "音乐音量:";
        public override string CommonControlConfigWindowSoundTabPlayerVolumeLabel { get; set; } = "玩家音量:";
        public override string CommonControlConfigWindowSoundTabMonsterVolumeLabel { get; set; } = "怪物音量:";
        public override string CommonControlConfigWindowSoundTabMagicVolumeLabel { get; set; } = "魔法音量:";
        public override string CommonControlConfigWindowGameTabItemNameLabel { get; set; } = "物品显名:";
        public override string CommonControlConfigWindowGameTabMonsterNameLabel { get; set; } = "怪物显名:";
        public override string CommonControlConfigWindowGameTabPlayerNameLabel { get; set; } = "人物显名:";
        public override string CommonControlConfigWindowGameTabUserHealthLabel { get; set; } = "玩家状态:";
        public override string CommonControlConfigWindowGameTabMonsterHealthLabel { get; set; } = "怪物状态:";
        public override string CommonControlConfigWindowGameTabDamageNumbersLabel { get; set; } = "Dmg Numbers:";
        public override string CommonControlConfigWindowGameTabDrawParticlesLabel { get; set; } = "粒子绘制:";
        public override string CommonControlConfigWindowGameTabDisplayHelmetLabel { get; set; } = "Display Helmet:";
        public override string CommonControlConfigWindowGameTabHideChatBarLabel { get; set; } = "隐藏聊天框:";
        public override string CommonControlConfigWindowGameTabEscapeCloseAllLabel { get; set; } = "ESC 关闭所有:";
        public override string CommonControlConfigWindowGameTabShiftOpenChatLabel { get; set; } = "Shift+1 打开聊天:";
        public override string CommonControlConfigWindowGameTabShiftOpenChatHint { get; set; } = "If turned on, Pressing Shift + 1 will open chat, if this is off you will use Quick Slot 1";
        public override string CommonControlConfigWindowGameTabRightClickDeTargetLabel { get; set; } = "右键取消目标锁定:";
        public override string CommonControlConfigWindowGameTabRightClickDeTargetHint { get; set; } = "If turned on, Right clicking to move away will also remove monster target.";
        public override string CommonControlConfigWindowGameTabMonsterBoxVisibleLabel { get; set; } = "显示怪物信息:";
        public override string CommonControlConfigWindowGameTabLogChatLabel { get; set; } = "聊天日志:";
        public override string CommonControlConfigWindowGameTabDrawEffectsLabel { get; set; } = "特效绘制:";
        public override string CommonControlConfigWindowGameTabDrawWeatherLabel { get; set; } = "天气绘制:";
        public override string CommonControlConfigWindowGameTabKeyBindButtonLabel { get; set; } = "按键绑定";
        public override string CommonControlConfigWindowNetworkTabUseNetworkConfigLabel { get; set; } = "开启网络配置:";
        public override string CommonControlConfigWindowNetworkTabUseIPAddressLabel { get; set; } = "IP地址:";
        public override string CommonControlConfigWindowNetworkTabUsePortLabel { get; set; } = "端口:";
        public override string CommonControlConfigWindowColoursTabLocalChatLabel { get; set; } = "本地聊天:";
        public override string CommonControlConfigWindowColoursTabGMWhisperInLabel { get; set; } = "GM 私聊(进):";
        public override string CommonControlConfigWindowColoursTabWhisperInLabel { get; set; } = "私聊(进):";
        public override string CommonControlConfigWindowColoursTabWhisperOutLabel { get; set; } = "私聊(出):";
        public override string CommonControlConfigWindowColoursTabGroupChatLabel { get; set; } = "编组:";
        public override string CommonControlConfigWindowColoursTabGuildChatLabel { get; set; } = "行会:";
        public override string CommonControlConfigWindowColoursTabShoutChatLabel { get; set; } = "普通:";
        public override string CommonControlConfigWindowColoursTabGlobalChatLabel { get; set; } = "所有:";
        public override string CommonControlConfigWindowColoursTabObserverChatLabel { get; set; } = "观察:";
        public override string CommonControlConfigWindowColoursTabHintTextLabel { get; set; } = "提示文字:";
        public override string CommonControlConfigWindowColoursTabSystemTextLabel { get; set; } = "系统文字:";
        public override string CommonControlConfigWindowColoursTabGainsTextLabel { get; set; } = "Gains Text:";
        public override string CommonControlConfigWindowColoursTabAnnouncementsLabel { get; set; } = "公告:";
        public override string CommonControlConfigWindowColoursTabResetColoursButtonLabel { get; set; } = "重置所有";
        public override string CommonControlDXKeyBindWindowTitle { get; set; } = "按键绑定";
        public override string CommonControlDXKeyBindWindowTipLabel { get; set; } = "按 [Esc] 来取消当前的按键绑定";
        public override string CommonControlDXKeyBindWindowDefaultConfirmMessage { get; set; } = "Are you sure you want to reset ALL keybinds back to the default settings?";
        public override string CommonControlDXKeyBindWindowDefaultConfirmCaption { get; set; } = "重置按键";
        public override string CommonStatusAC { get; set; } = "物防";
        public override string CommonStatusMR { get; set; } = "魔防";
        public override string CommonStatusDC { get; set; } = "物攻";
        public override string CommonStatusMC { get; set; } = "魔攻";
        public override string CommonStatusSC { get; set; } = "道攻";
        public override string CommonStatusHealth { get; set; } = "Hp/Mp";
        public override string CommonStatusMana { get; set; } = "Mana";
        public override string CommonStatusElementAttack { get; set; } = "E.Att";
        public override string CommonStatusFire { get; set; } = "火系";
        public override string CommonStatusIce { get; set; } = "冰系";
        public override string CommonStatusLightning { get; set; } = "电系";
        public override string CommonStatusWind { get; set; } = "风系";
        public override string CommonStatusHoly { get; set; } = "幸运";
        public override string CommonStatusDark { get; set; } = "暗黑";
        public override string CommonStatusPhantom { get; set; } = "幽灵";
        public override string CommonStatusPhysical { get; set; } = "物理";

        [ConfigSection("Scenes")]
        public override string LoginConnectionAttemptMessage { get; set; } = "正在尝试连接至服务器.\n尝试次数:{0}";
        public override string LoginConnectionAttemptCaption { get; set; } = "连接中";
        public override string LoginLoadingMessage { get; set; } = "正在加载客户端信息...\n请稍候...";
        public override string LoginLoadingCaption { get; set; } = "加载中";
        public override string LoginDialogTitle { get; set; } = "输入你的邮箱和密码";
        public override string LoginDialogEMailHelpHint { get; set; } = "邮箱地址.\n格式: Example@Example.Com.\n长度限制: {0}个字符.";
        public override string LoginDialogPasswordHelpHint { get; set; } = "密码.\n规则:任意非空字符.\n长度: {0}到{1}个字符.";
        public override string LoginDialogLoginButtonLabel { get; set; } = "登录";
        public override string LoginDialogExitButtonLabel { get; set; } = "退出游戏";
        public override string LoginDialogRankingButtonLabel { get; set; } = "排行";
        public override string LoginDialogOptionButtonLabel { get; set; } = "选项";
        public override string LoginDialogNewAccountButtonLabel { get; set; } = "新账号";
        public override string LoginDialogChangePasswordButtonLabel { get; set; } = "修改密码";
        public override string LoginDialogRememberCheckBoxLabel { get; set; } = "记住登录?";
        public override string LoginDialogForgotPasswordLabel { get; set; } = "忘记密码?";

        public override string NewAccountDialogTitle { get; set; } = "创建账号";
        public override string NewAccountDialogCreateButtonLabel { get; set; } = "创建";
        public override string NewAccountDialogEMailLabel { get; set; } = "邮箱:";
        public override string NewAccountDialogPassword1Label { get; set; } = "密码:";
        public override string NewAccountDialogPassword2Label { get; set; } = "密码:";
        public override string NewAccountDialogRealNameLabel { get; set; } = "真实姓名:";
        public override string NewAccountDialogBirthDateLabel { get; set; } = "出生日期:";
        public override string NewAccountDialogReferralLabel { get; set; } = "推荐信息:";
        public override string NewAccountDialogEMailHelpHint { get; set; } = "邮箱地址.\n格式: Example@Example.Com.\n长度限制: {0}个字符.";
        public override string NewAccountDialogPassword1HelpHint { get; set; } = "密码.\n规则:任意非空字符.\n长度: {0}到{1}个字符.";
        public override string NewAccountDialogPassword2HelpHint { get; set; } = "密码.\n规则:任意非空字符.\n长度: {0}到{1}个字符.";
        public override string NewAccountDialogRealNameHelpHint { get; set; } = "真实名称.\n允许字符: 所有.\n长度: {0}到{1}个字符.\n必填: {2}";
        public override string NewAccountDialogBirthDateHelpHint { get; set; } = "出生日期.\n格式: {0}.\n必填: {1}";
        public override string NewAccountDialogReferralHelpHint { get; set; } = "推荐人邮箱.\n格式: Example@Example.Com.\n长度限制: {0}个字符.";

        public override string ChangePasswordTitle { get; set; } = "密码修改";
        public override string ChangePasswordChangeButtonLabel { get; set; } = "修改";
        public override string ChangePasswordEMailLabel { get; set; } = "邮箱:";
        public override string ChangePasswordCurrentPasswordLabel { get; set; } = "当前密码:";
        public override string ChangePasswordNewPassword1Label { get; set; } = "新的密码:";
        public override string ChangePasswordNewPassword2Label { get; set; } = "二次密码:";
        public override string ChangePasswordEMailHelpHint { get; set; } = "邮箱地址.\n格式: Example@Example.Com.\n长度限制: {0}个字符.";
        public override string ChangePasswordCurrentPasswordHelpHint { get; set; } = "密码.\n规则:任意非空字符.\n长度: {0}到{1}个字符.";
        public override string ChangePasswordNewPassword1HelpHint { get; set; } = "密码.\n规则:任意非空字符.\n长度: {0}到{1}个字符.";
        public override string ChangePasswordNewPassword2HelpHint { get; set; } = "密码.\n规则:任意非空字符.\n长度: {0}到{1}个字符.";

        public override string RequestResetPasswordTitle { get; set; } = "密码重置发送";
        public override string RequestResetPasswordRequestButtonLabel { get; set; } = "发送";
        public override string RequestResetPasswordEMailLabel { get; set; } = "邮箱:";
        public override string RequestResetPasswordEMailHelpHint { get; set; } = "邮箱地址.\n格式: Example@Example.Com.\n长度: {0}个字符.";
        public override string RequestResetPasswordHaveKeyLabel { get; set; } = "使用重置密钥?";

        public override string ResetPasswordTitle { get; set; } = "密码重置";
        public override string ResetPasswordResetButtonLabel { get; set; } = "重置";
        public override string ResetPasswordResetKeyLabel { get; set; } = "重置密钥:";
        public override string ResetPasswordNewPassword1Label { get; set; } = "新的密码:";
        public override string ResetPasswordNewPassword2Label { get; set; } = "二次密码:";
        public override string ResetPasswordResetKeyHelpHint { get; set; } = "重置密钥.\n邮箱收到的一封由数字和字母组成的密钥.\n大小写敏感.";
        public override string ResetPasswordNewPassword1HelpHint { get; set; } = "密码.\n规则:任意非空字符.\n长度: {0}到{1}个字符.";
        public override string ResetPasswordNewPassword2HelpHint { get; set; } = "密码.\n规则:任意非空字符.\n长度: {0}到{1}个字符.";

        public override string ActivationTitle { get; set; } = "激活账号";
        public override string ActivationActivateButtonLabel { get; set; } = "激活";
        public override string ActivationActivationKeyLabel { get; set; } = "激活码:";
        public override string ActivationActivationKeyHelpHint { get; set; } = "激活码.\n你邮箱收到的一段随机的数字和字母组合的激活码.\n大小写敏感.";
        public override string ActivationResendLabel { get; set; } = "没有收到邮箱?";

        public override string RequestActivationKeyTitle { get; set; } = "激活码发送";
        public override string RequestActivationKeyRequestButtonLabel { get; set; } = "发送";
        public override string RequestActivationKeyEMailLabel { get; set; } = "邮箱:";
        public override string RequestActivationKeyEMailHelpHint { get; set; } = "邮箱地址.\n格式: Example@Example.Com.\n长度: {0}个字符.";

        public override string SelectTitle { get; set; } = "角色选择";
        public override string SelectStartButtonLabel { get; set; } = "开始游戏";
        public override string SelectCreateButtonLabel { get; set; } = "创建";
        public override string SelectDeleteButtonLabel { get; set; } = "删除";

        public override string NewCharacterTitle { get; set; } = "创建角色";
        public override string NewCharacterCreateButtonLabel { get; set; } = "创建";
        public override string NewCharacterSelectClassLabel { get; set; } = "职业选择";
        public override string NewCharacterSelectedClassLabel { get; set; } = "战士";
        public override string NewCharacterSelectGenderLabel { get; set; } = "性别选择";
        public override string NewCharacterSelectedGenderLabel { get; set; } = "男";
        public override string NewCharacterCustomizationLabel { get; set; } = "自定义";
        public override string NewCharacterHairTypeLabel { get; set; } = "发型类型:";
        public override string NewCharacterHairColorLabel { get; set; } = "发型颜色:";
        public override string NewCharacterArmourColorLabel { get; set; } = "衣服颜色:";
        public override string NewCharacterPreviewLabel { get; set; } = "预览";
        public override string NewCharacterCharacterNameLabel { get; set; } = "名称:";
        public override string NewCharacterCharacterNameHelpHint { get; set; } = "角色名称.\n规则: a-z A-Z 0-9.\n长度: {0}到{1}个字符.\n相同账号可以使用历史角色名称.";

        public override string SelectNameLabel { get; set; } = "名称";
        public override string SelectClassLabel { get; set; } = "职业";
        public override string SelectLevelLabel { get; set; } = "等级";
        public override string SelectLocationLabel { get; set; } = "位置";

        public override string AutoPotionTitle { get; set; } = "自动喝药";
        public override string AutoPotionEnabledLabel { get; set; } = "开启";

        public override string CharacterCharacterTabLabel { get; set; } = "角色";
        public override string CharacterHermitTabLabel { get; set; } = "Hermit";
        public override string CharacterDisciplineTabLabel { get; set; } = "修仙";
        public override string CharacterCharacterTabStatsAttackTabLabel { get; set; } = "攻击";
        public override string CharacterCharacterTabStatsDefenseTabLabel { get; set; } = "防御";
        public override string CharacterCharacterTabStatsWeightTabLabel { get; set; } = "负重";
        public override string CharacterCharacterTabStatsOtherTabLabel { get; set; } = "其它";
        public override string CharacterCharacterTabStatsElementAttackTabLabel { get; set; } = "E.Att";
        public override string CharacterCharacterTabStatsElementAdvantageTabLabel { get; set; } = "E.Adv";
        public override string CharacterCharacterTabStatsElementDisadvantageTabLabel { get; set; } = "E.Dis";
        public override string CharacterCharacterTabStatsAttackTabHint { get; set; } = "攻击";
        public override string CharacterCharacterTabStatsDefenseTabHint { get; set; } = "防御";
        public override string CharacterCharacterTabStatsWeightTabHint { get; set; } = "负重";
        public override string CharacterCharacterTabStatsOtherTabHint { get; set; } = "其它";
        public override string CharacterCharacterTabStatsElementAttackTabHint { get; set; } = "元素攻击";
        public override string CharacterCharacterTabStatsElementAdvantageTabHint { get; set; } = "元素优势";
        public override string CharacterCharacterTabStatsElementDisadvantageTabHint { get; set; } = "元素劣势";

        public override string CharacterCharacterTabStatsAttackTabMCLabel { get; set; } = "魔攻:";
        public override string CharacterCharacterTabStatsAttackTabSCLabel { get; set; } = "道攻:";
        public override string CharacterCharacterTabStatsAttackTabCritDamageLabel { get; set; } = "暴击伤害:";
        public override string CharacterCharacterTabStatsAttackTabAccuracyLabel { get; set; } = "准确:";
        public override string CharacterCharacterTabStatsAttackTabASpeedLabel { get; set; } = "攻速:";
        public override string CharacterCharacterTabStatsAttackTabLuckLabel { get; set; } = "幸运:";
        public override string CharacterCharacterTabStatsAttackTabCritChanceLabel { get; set; } = "暴击几率:";

        public override string CharacterCharacterTabStatsDefenseTabAgilityLabel { get; set; } = "敏捷:";
        public override string CharacterCharacterTabStatsDefenseTabLifeStealLabel { get; set; } = "吸血:";

        public override string CharacterCharacterTabStatsWeightTabBodyWLabel { get; set; } = "体力:";
        public override string CharacterCharacterTabStatsWeightTabHandWLabel { get; set; } = "腕力:";

        public override string CharacterCharacterTabStatsAdditionalTabComfortLabel { get; set; } = "Comfort:";
        public override string CharacterCharacterTabStatsAdditionalTabPickupRadiusLabel { get; set; } = "拾取范围:";
        public override string CharacterCharacterTabStatsAdditionalTabGoldRateLabel { get; set; } = "金币倍数:";
        public override string CharacterCharacterTabStatsAdditionalTabDropRateLabel { get; set; } = "掉落倍数:";
        public override string CharacterCharacterTabStatsAdditionalTabExpRateLabel { get; set; } = "经验倍数:";

        public override string CharacterHermitTabShowConfirmationLabel { get; set; } = "开始确认";
        public override string CharacterHermitTabUnspentPointsLabel { get; set; } = "可用点数:";
        public override string CharacterHermitTabButtonsConfirmationCaption { get; set; } = "属性确认";
        public override string CharacterHermitTabButtonsConfirmationMessage { get; set; } = "你确定要提高你的 {0} 吗?";
        public override string CharacterHermitTabButtonsMCLabel { get; set; } = "魔攻";
        public override string CharacterHermitTabButtonsConfirmationMCMessage { get; set; } = "你确定要提高你的魔法攻击吗?";
        public override string CharacterHermitTabButtonsSCLabel { get; set; } = "道攻";
        public override string CharacterHermitTabButtonsConfirmationSCMessage { get; set; } = "你确定要提高你的道术攻击吗?";
        public override string CharacterHermitTabButtonsElementLabel { get; set; } = "元素";
        public override string CharacterHermitTabButtonsConfirmationElementMessage { get; set; } = "你确定要提高你的元素攻击吗?";

        public override string CharacterDisciplineTabLvLabel { get; set; } = "修仙等级:";
        public override string CharacterDisciplineTabUnusedLabel { get; set; } = "废弃标签";
        public override string CharacterDisciplineTabExpLabel { get; set; } = "修仙经验:";
        public override string CharacterDisciplineTabButtonGainLabel { get; set; } = "开始修仙";
        public override string CharacterDisciplineTabConfirmationMessage { get; set; } = "你确定要开始你的修仙之旅吗?\n修仙会消耗的 {0:n0} 金币";
        public override string CharacterDisciplineTabConfirmationCaption { get; set; } = "修仙角色";

        public override string ChatOptionsDialogTitle { get; set; } = "聊天选项";
        public override string ChatOptionsDialogButtonAdd { get; set; } = "添加";
        public override string ChatOptionsDialogButtonResetAll { get; set; } = "重置所有";
        public override string ChatOptionsDialogResetAllMessage { get; set; } = "你确定要重置所有的聊天窗口吗?";
        public override string ChatOptionsDialogResetAllCaption { get; set; } = "聊天重置";
        public override string ChatOptionsDialogButtonSaveAll { get; set; } = "保存所有";
        public override string ChatOptionsDialogButtonReloadAll { get; set; } = "重新加载";
        public override string ChatOptionsDialogReloadAllMessage { get; set; } = "你确定要重新加载所有的聊天窗口吗?";
        public override string ChatOptionsDialogReloadAllCaption { get; set; } = "聊天刷新";

        public override string ChatOptionsPanelChatNameLabel { get; set; } = "聊天名字:";
        public override string ChatOptionsPanelTransparentLabel { get; set; } = "显示透明:";
        public override string ChatOptionsPanelShowAlertLabel { get; set; } = "显示警告:";
        public override string ChatOptionsPanelHideTabLabel { get; set; } = "隐藏选项:";
        public override string ChatOptionsPanelReverseLabel { get; set; } = "倒序列表:";
        public override string ChatOptionsPanelCleanUpLabel { get; set; } = "移除旧的:";
        public override string ChatOptionsPanelFadeOutLabel { get; set; } = "淡出特效:";
        public override string ChatOptionsPanelLocalChatLabel { get; set; } = "本地:";
        public override string ChatOptionsPanelWhisperChatLabel { get; set; } = "私聊:";
        public override string ChatOptionsPanelGroupChatLabel { get; set; } = "编组:";
        public override string ChatOptionsPanelGuildChatLabel { get; set; } = "行会:";
        public override string ChatOptionsPanelShoutChatLabel { get; set; } = "普通:";
        public override string ChatOptionsPanelGlobalChatLabel { get; set; } = "全局:";
        public override string ChatOptionsPanelObserverChatLabel { get; set; } = "观察:";
        public override string ChatOptionsPanelHintTextLabel { get; set; } = "提示文字:";
        public override string ChatOptionsPanelSystemTextLabel { get; set; } = "系统文字:";
        public override string ChatOptionsPanelGainsTextLabel { get; set; } = "经验文字:";
        public override string ChatOptionsPanelRemoveLabel { get; set; } = "移除";

        public override string ChatTextBoxOptionsButtonLabel { get; set; } = "选项";

        public override string CommunicationDialogTitle { get; set; } = "聊天";
        public override string CommunicationDialogFriendTabLabel { get; set; } = "好友";
        public override string CommunicationDialogReceivedTabLabel { get; set; } = "接收邮件";
        public override string CommunicationDialogSendTabLabel { get; set; } = "发送邮件";
        public override string CommunicationDialogBlockedTabLabel { get; set; } = "封禁";
        public override string CommunicationDialogFriendTabStatusLabel { get; set; } = "状态:";
        public override string CommunicationDialogFriendTabViewStatusLabel { get; set; } = "状态查看:";
        public override string CommunicationDialogFriendTabFriendAddButtonLabel { get; set; } = "添加好友";
        public override string CommunicationDialogFriendTabFriendAddButtonConfirmMessage { get; set; } = "请输入你想要添加的好友名字.";
        public override string CommunicationDialogFriendTabFriendAddButtonConfirmCaption { get; set; } = "添加好友";
        public override string CommunicationDialogFriendTabFriendRemoveButtonLabel { get; set; } = "删除好友";
        public override string CommunicationDialogFriendTabFriendRemoveButtonConfirmMessage { get; set; } = "你确定要取消 {0} 的好友关系吗?";
        public override string CommunicationDialogFriendTabFriendRemoveButtonConfirmCaption { get; set; } = "取消好友";
        public override string CommunicationDialogReceivedTabCategoryLabel { get; set; } = "分类";
        public override string CommunicationDialogReceivedTabTitleLabel { get; set; } = "标题";
        public override string CommunicationDialogReceivedTabDateLabel { get; set; } = "发送日期";
        public override string CommunicationDialogReceivedTabCollectAllButtonLabel { get; set; } = "收集所有";
        public override string CommunicationDialogReceivedTabDeleteAllButtonLabel { get; set; } = "删除所有";
        public override string CommunicationDialogReceivedTabNewButtonLabel { get; set; } = "新邮件";
        public override string CommunicationDialogSendTabRecipientLabel { get; set; } = "接收人:";
        public override string CommunicationDialogSendTabSubjectLabel { get; set; } = "主题:";
        public override string CommunicationDialogSendTabItemsLabel { get; set; } = "物品:";
        public override string CommunicationDialogSendTabGoldLabel { get; set; } = "金币:";
        public override string CommunicationDialogSendTabSendButtonLabel { get; set; } = "发送";
        public override string CommunicationDialogBlockedTabAddButtonLabel { get; set; } = "新增封禁";
        public override string CommunicationDialogBlockedTabAddButtonConfirmMessage { get; set; } = "请输入你想要封禁的玩家名字.";
        public override string CommunicationDialogBlockedTabAddButtonConfirmCaption { get; set; } = "封禁玩家";
        public override string CommunicationDialogBlockedTabRemoveButtonLabel { get; set; } = "解除封禁";
        public override string CommunicationDialogBlockedTabRemoveButtonConfirmMessage { get; set; } = "你确定要为 {0} 解除封禁吗?";
        public override string CommunicationDialogBlockedTabRemoveButtonConfirmCaption { get; set; } = "解封玩家";
        public override string CommunicationDialogReadTabSenderLabel { get; set; } = "发送人:";
        public override string CommunicationDialogReadTabSubjectLabel { get; set; } = "主题:";
        public override string CommunicationDialogReadTabDateSentLabel { get; set; } = "发送日期:";
        public override string CommunicationDialogReadTabItemsLabel { get; set; } = "物品:";
        public override string CommunicationDialogReadTabReplyLabel { get; set; } = "回复邮箱:";
        public override string CommunicationDialogReadTabDeleteButtonLabel { get; set; } = "删除邮件";

        public override string CompanionDialogTitle { get; set; } = "伙伴";
        public override string CompanionDialogCompanionTabLabel { get; set; } = "宠物";
        public override string CompanionDialogCompanionTabBonusButtonLabel { get; set; } = "Bonus";
        public override string CompanionDialogCompanionTabFilterButtonLabel { get; set; } = "Filter";
        public override string CompanionDialogCompanionTabBagButtonLabel { get; set; } = "背包";
        public override string CompanionDialogCompanionTabNameLabel { get; set; } = "名称";
        public override string CompanionDialogCompanionTabLevelLabel { get; set; } = "等级";
        public override string CompanionDialogCompanionTabExpLabel { get; set; } = "经验";
        public override string CompanionDialogCompanionTabHungerLabel { get; set; } = "饥饿";

        public override string CurrencyDialogTitle { get; set; } = "货币";

        public override string ExitDialogTitle { get; set; } = "退出游戏";
        public override string ExitDialogToSelectButtonLabel { get; set; } = "角色选择";
        public override string ExitDialogExitButtonLabel { get; set; } = "退出游戏";

        public override string FilterDialogTitle { get; set; } = "过滤掉落";
        public override string FilterDialogFilterLabel { get; set; } = "物品 #{0}";
        public override string FilterDialogSaveButtonLabel { get; set; } = "保存设置";

        public override string FishingCatchDialogAutoCast { get; set; } = "Auto Cast:";

        public override string FortuneCheckerDialogTitle { get; set; } = "Fortune Checker";
        public override string FortuneCheckerDialogNameLabel { get; set; } = "名称:";
        public override string FortuneCheckerDialogItemLabel { get; set; } = "物品:";
        public override string FortuneCheckerDialogSearchButtonLabel { get; set; } = "查询";

        public override string FortuneCheckerRowCountLabel { get; set; } = "掉落数量:";
        public override string FortuneCheckerRowProgressLabel { get; set; } = "Fortune Drop in:";
        public override string FortuneCheckerRowDateLabel { get; set; } = "Last Check:";
        public override string FortuneCheckerRowCheckButtonLabel { get; set; } = "检查";
        public override string FortuneCheckerRowCheckButtonConfirmMessage { get; set; } = "Are you sure you want to check your fortune progress?";
        public override string FortuneCheckerRowCheckButtonConfirmCaption { get; set; } = "Fortune Check";

        public override string GroupDialogTitle { get; set; } = "编组";
        public override string GroupDialogAllowGroupButtonAllowingHint { get; set; } = "编组状态: 允许";
        public override string GroupDialogAllowGroupButtonNotAllowingHint { get; set; } = "编组状态: 禁止";
        public override string GroupDialogMemberTabLabel { get; set; } = "编组成员";
        public override string GroupDialogAddButtonConfirmMessage { get; set; } = "请输入你想要组队的玩家名字.";
        public override string GroupDialogAddButtonConfirmCaption { get; set; } = "邀请编组成员";
        public override string GroupDialogAddButtonHint { get; set; } = "添加成员";
        public override string GroupDialogRemoveButtonHint { get; set; } = "移除成员";

        public override string GuildDialogTitle { get; set; } = "行会";
        public override string GuildDialogCreateTabLabel { get; set; } = "创建";
        public override string GuildDialogCreateTabStep1Label { get; set; } = "步骤 1 - 身份证明";
        public override string GuildDialogCreateTabStep1GuildNameLabel { get; set; } = "行会名称:";
        public override string GuildDialogCreateTabStep2Label { get; set; } = "步骤 2 - 支持";
        public override string GuildDialogCreateTabStep2GoldCheckBoxLabel { get; set; } = "{0:#,##0} 金币";
        public override string GuildDialogCreateTabStep2HornCheckBoxLabel { get; set; } = "沃玛号角";
        public override string GuildDialogCreateTabStep3Label { get; set; } = "步骤 3 - 选项";
        public override string GuildDialogCreateTabStep3ExtraMembersLabel { get; set; } = "扩充成员:";
        public override string GuildDialogCreateTabStep3ExtraMembersHint { get; set; } = "基础数量: 10, 扩充每个成员需要: {0}.";
        public override string GuildDialogCreateTabStep3ExtraStorageLabel { get; set; } = "扩充仓库:";
        public override string GuildDialogCreateTabStep3ExtraStorageHint { get; set; } = "基础容量: 10, 扩充每个容量需要: {0}.";
        public override string GuildDialogCreateTabStep4Label { get; set; } = "步骤 4 - 概要";
        public override string GuildDialogCreateTabStep4TotalCostLabel { get; set; } = "金币花费:";
        public override string GuildDialogCreateTabCreateButtonLabel { get; set; } = "创建行会";
        public override string GuildDialogCreateTabStarterGuildButtonLabel { get; set; } = "Join Starter Guild";
        public override string GuildDialogHomeTabLabel { get; set; } = "主页";
        public override string GuildDialogHomeTabNoticeLabel { get; set; } = "公告";
        public override string GuildDialogHomeTabNoticeEditButtonLabel { get; set; } = "编辑";
        public override string GuildDialogHomeTabNoticeSaveButtonLabel { get; set; } = "保存";
        public override string GuildDialogHomeTabNoticeStatsLabel { get; set; } = "统计";
        public override string GuildDialogHomeTabNoticeStatsMembersLabel { get; set; } = "成员:";
        public override string GuildDialogHomeTabNoticeStatsGuildFundsLabel { get; set; } = "Guild Funds:";
        public override string GuildDialogHomeTabNoticeStatsTodaysGrowthLabel { get; set; } = "今日增长:";
        public override string GuildDialogHomeTabNoticeStatsTotalContributionLabel { get; set; } = "总的贡献:";
        public override string GuildDialogHomeTabNoticeStatsTodaysContributionLabel { get; set; } = "今日贡献:";
        public override string GuildDialogHomeTabNoticeStatsTaxLabel { get; set; } = "行会税收:";
        public override string GuildDialogMembersTabLabel { get; set; } = "成员";
        public override string GuildDialogStorageTabLabel { get; set; } = "仓库";
        public override string GuildDialogStorageTabNameLabel { get; set; } = "名称:";
        public override string GuildDialogStorageTabItemLabel { get; set; } = "物品:";
        public override string GuildDialogStorageTabClearButtonLabel { get; set; } = "清除";
        public override string GuildDialogWarTabLabel { get; set; } = "战争";
        public override string GuildDialogCastleTabLabel { get; set; } = "城堡";
        public override string GuildDialogManageTabMembershipLabel { get; set; } = "会员";
        public override string GuildDialogManageTabMembershipMemberConfirmMessage { get; set; } = "Please enter the name of the person you wish to Invite.";
        public override string GuildDialogManageTabMembershipIncreaseMemberConfirmMessage { get; set; } = "Would you like to increase member limit for {0:#,##0}?.";
        public override string GuildDialogManageTabMembershipAddButtonLabel { get; set; } = "邀请成员";
        public override string GuildDialogManageTabMembershipEditDefaultButtonLabel { get; set; } = "默认排行";
        public override string GuildDialogManageTabTreasuryLabel { get; set; } = "Treasury";
        public override string GuildDialogManageTabTreasuryChangeButtonLabel { get; set; } = "Set Tax Amount";
        public override string GuildDialogManageTabTreasuryTaxConfirmMessage { get; set; } = "Please enter the amount you would like to set as tax.";
        public override string GuildDialogManageTabMembershipMembersIncreaseButtonLabel { get; set; } = "增加限制";
        public override string GuildDialogManageTabUpgradeStorageLabel { get; set; } = "仓库";
        public override string GuildDialogManageTabUpgradeStorageIncreaseButtonLabel { get; set; } = "增加限制";
        public override string GuildDialogManageTabUpgradeStorageConfirmMessage { get; set; } = "Would you like to increase storage limit for {0:#,##0}?.";
        public override string GuildDialogWarTabGuildWarStartWarButtonLabel { get; set; } = "开始战争";
        public override string GuildDialogWarTabGuildWarConfirmMessage { get; set; } = "请输入你要发起行会战的行会名称.";
        public override string GuildMemberRowNameLabel { get; set; } = "名称";
        public override string GuildMemberRowRankLabel { get; set; } = "排行";
        public override string GuildMemberRowTotalLabel { get; set; } = "总连接数.";
        public override string GuildMemberRowDailyLabel { get; set; } = "日常连接.";
        public override string GuildMemberRowOnlineLabel { get; set; } = "在线";
        public override string GuildMemberDialogTitle { get; set; } = "编辑成员";
        public override string GuildMemberDialogMemberLabel { get; set; } = "成员:";
        public override string GuildMemberDialogRankLabel { get; set; } = "排行:";
        public override string GuildMemberDialogLeaderLabel { get; set; } = "Is Leader:";
        public override string GuildMemberDialogEditNoticeLabel { get; set; } = "编辑公告:";
        public override string GuildMemberDialogAddMemberLabel { get; set; } = "添加成员:";
        public override string GuildMemberDialogUseStorageLabel { get; set; } = "使用仓库:";
        public override string GuildMemberDialogStartWarLabel { get; set; } = "开始战争:";
        public override string GuildMemberDialogRepairLabel { get; set; } = "Repair Fund:";
        public override string GuildMemberDialogMerchantLabel { get; set; } = "Merchant Fund:";
        public override string GuildMemberDialogMarketLabel { get; set; } = "Market Fund:";
        public override string GuildMemberDialogKickButtonLabel { get; set; } = "踢出";
        public override string GuildMemberDialogKickButtonConfirmMsg { get; set; } = "Are you sure you want to remove {0} from the guild";
        public override string GuildMemberDialogKickButtonConfirmCaption { get; set; } = "踢出成员";
        public override string GuildCastlePanelOwnerLabel { get; set; } = "Current Owner:";
        public override string GuildCastlePanelScheduleLabel { get; set; } = "日程:";
        public override string GuildCastlePanelRequestButtonLabel { get; set; } = "提交";
        public override string GuildCastlePanelCostLabel { get; set; } = "花费:";
        public override string GuildCastlePanelNoneText { get; set; } = "无";
        public override string GuildCastlePanelInProgressText { get; set; } = "进行中";
        public override string GuildRepairGatesConfirmMsg { get; set; } = "修复城门会消耗 {0:#,##0}. 你确定吗?";
        public override string GuildRepairGatesConfirmCaption { get; set; } = "修复城门";
        public override string GuildRepairGuardsConfirmMsg { get; set; } = "修复守卫会消耗 {0:#,##0}. 你确定吗?";
        public override string GuildRepairGuardsConfirmCaption { get; set; } = "修复守卫";

        public override string InventoryDialogTitle { get; set; } = "背包";
        public override string InventoryDialogPrimaryCurrencyTitle { get; set; } = "金币";
        public override string InventoryDialogSecondaryCurrencyTitle { get; set; } = "GG";
        public override string InventoryDialogSortButtonHint { get; set; } = "排序";
        public override string InventoryDialogTrashButtonHint { get; set; } = "移除";
        public override string InventoryDialogWalletLabelHint { get; set; } = "钱包 [{0}]";

        public override string MagicDialogTitle { get; set; } = "魔法";

        public override string MenuDialogTitle { get; set; } = "菜单";
        public override string MenuDialogSettingsButtonLabel { get; set; } = "设置";
        public override string MenuDialogGuildButtonLabel { get; set; } = "行会";
        public override string MenuDialogStorageButtonLabel { get; set; } = "仓库";
        public override string MenuDialogRankingButtonLabel { get; set; } = "排行";
        public override string MenuDialogCompanionButtonLabel { get; set; } = "宠物";
        public override string MenuDialogLeaveButtonLabel { get; set; } = "退出游戏";

        public override string MenuDialogSettingsButtonHint { get; set; } = "设置 [{0}]";
        public override string MenuDialogGuildButtonHint { get; set; } = "行会 [{0}]";
        public override string MenuDialogStorageButtonHint { get; set; } = "仓库 [{0}]";
        public override string MenuDialogRankingButtonHint { get; set; } = "排行 [{0}]";
        public override string MenuDialogCompanionButtonHint { get; set; } = "宠物 [{0}]";
        public override string MenuDialogLeaveButtonHint { get; set; } = "退出游戏 [{0}]";

        public override string MainPanelCharacterButtonHint { get; set; } = "角色 [{0}]";
        public override string MainPanelInventoryButtonHint { get; set; } = "背包 [{0}]";
        public override string MainPanelCompanionButtonHint { get; set; } = "宠物 [{0}]";
        public override string MainPanelSpellButtonHint { get; set; } = "技能 [{0}]";
        public override string MainPanelQuestButtonHint { get; set; } = "任务 [{0}]";
        public override string MainPanelMailButtonHint { get; set; } = "聊天 [{0}]";
        public override string MainPanelBeltButtonHint { get; set; } = "Belt [{0}]";
        public override string MainPanelGroupButtonHint { get; set; } = "编组 [{0}]";
        public override string MainPanelMenuButtonHint { get; set; } = "菜单 [{0}]";
        public override string MainPanelCashShopButtonHint { get; set; } = "商铺 [{0}]";
        public override string MainPanelClassLabel { get; set; } = "职";
        public override string MainPanelClassHint { get; set; } = "职业";
        public override string MainPanelLevelLabel { get; set; } = "级";
        public override string MainPanelLevelHint { get; set; } = "等级";
        public override string MainPanelACLabel { get; set; } = "物理防御";
        public override string MainPanelMRLabel { get; set; } = "魔法防御";
        public override string MainPanelDCLabel { get; set; } = "物理攻击";
        public override string MainPanelMCLabel { get; set; } = "魔法攻击";
        public override string MainPanelSCLabel { get; set; } = "道术攻击";
        public override string MainPanelAccuracyLabel { get; set; } = "准";
        public override string MainPanelAccuracyHint { get; set; } = "准确";
        public override string MainPanelAgilityLabel { get; set; } = "敏";
        public override string MainPanelAgilityHint { get; set; } = "敏捷";

        public override string MarketPlaceDialogTitle { get; set; } = "市场";
        public override string MarketPlaceDialogSearchTabLabel { get; set; } = "搜索";
        public override string MarketPlaceDialogSearchTabNameLabel { get; set; } = "名称:";
        public override string MarketPlaceDialogSearchTabItemLabel { get; set; } = "物品:";
        public override string MarketPlaceDialogSearchTabSortLabel { get; set; } = "排序:";
        public override string MarketPlaceDialogSearchTabSearchButtonLabel { get; set; } = "搜索";
        public override string MarketPlaceDialogSearchTabClearButtonLabel { get; set; } = "清除";
        public override string MarketPlaceDialogSearchTabSaleHistoryLabel { get; set; } = "销售历史";
        public override string MarketPlaceDialogSearchTabSaleHistoryNumberSoldLabel { get; set; } = "已售:";
        public override string MarketPlaceDialogSearchTabSaleHistoryLastPriceLabel { get; set; } = "最新价格:";
        public override string MarketPlaceDialogSearchTabSaleHistoryAvgPriceLabel { get; set; } = "平均价格:";
        public override string MarketPlaceDialogSearchTabMessageLabel { get; set; } = "消息";
        public override string MarketPlaceDialogSearchTabBuyingLabel { get; set; } = "购买中";
        public override string MarketPlaceDialogSearchTabBuyingCountLabel { get; set; } = "数量:";
        public override string MarketPlaceDialogSearchTabBuyingPriceLabel { get; set; } = "价格:";
        public override string MarketPlaceDialogSearchTabBuyingTotalLabel { get; set; } = "总数:";
        public override string MarketPlaceDialogSearchTabBuyingGuildLabel { get; set; } = "Use Guild Funds:";
        public override string MarketPlaceDialogSearchTabBuyingBuyButtonLabel { get; set; } = "购买";
        public override string MarketPlaceDialogConsignTabLabel { get; set; } = "Consign";
        public override string MarketPlaceDialogConsignTabStep1Label { get; set; } = "步骤 1";
        public override string MarketPlaceDialogConsignTabStep1SelectItemLabel { get; set; } = "选择物品:";
        public override string MarketPlaceDialogConsignTabStep1SaleHistoryLabel { get; set; } = "销售历史";
        public override string MarketPlaceDialogConsignTabStep1NumberSoldLabel { get; set; } = "售卖数量:";
        public override string MarketPlaceDialogConsignTabStep1LastPriceLabel { get; set; } = "上次价格:";
        public override string MarketPlaceDialogConsignTabStep1AvgPriceLabel { get; set; } = "平均价格:";
        public override string MarketPlaceDialogConsignTabStep2Label { get; set; } = "步骤 2";
        public override string MarketPlaceDialogConsignTabStep2PriceLabel { get; set; } = "价格";
        public override string MarketPlaceDialogConsignTabStep3Label { get; set; } = "步骤 3 - 消息";
        public override string MarketPlaceDialogConsignTabStep4Label { get; set; } = "步骤 4";
        public override string MarketPlaceDialogConsignTabStep4ConsignCostLabel { get; set; } = "Consign Cost:";
        public override string MarketPlaceDialogConsignTabStep4ConsignGuildLabel { get; set; } = "Use Guild Funds:";
        public override string MarketPlaceDialogConsignTabStep4ConsignButtonLabel { get; set; } = "Consign";
        public override string MarketPlaceDialogConsignTabSearchingLabel { get; set; } = "查询中...";
        public override string MarketPlaceDialogConsignTabCancelListingCaption { get; set; } = "Cancel Listing";
        public override string MarketPlaceDialogGameStoreTabLabel { get; set; } = "游戏商店";
        public override string MarketPlaceDialogGameStoreTabNameLabel { get; set; } = "名称";
        public override string MarketPlaceDialogGameStoreTabItemLabel { get; set; } = "物品";
        public override string MarketPlaceDialogGameStoreTabSortLabel { get; set; } = "排序";
        public override string MarketPlaceDialogGameStoreTabSearchButtonLabel { get; set; } = "搜索";
        public override string MarketPlaceDialogGameStoreTabClearButtonLabel { get; set; } = "清除";
        public override string MarketPlaceDialogGameStoreTabHuntGoldLabel { get; set; } = "Hunt Gold";
        public override string MarketPlaceDialogGameStoreTabHuntGoldAmountLabel { get; set; } = "总额:";
        public override string MarketPlaceDialogGameStoreTabGameGoldLabel { get; set; } = "Game Gold";
        public override string MarketPlaceDialogGameStoreTabGameGoldAmountLabel { get; set; } = "总额:";
        public override string MarketPlaceDialogGameStoreTabGameGoldRechargeButtonLabel { get; set; } = "Buy Game Gold";
        public override string MarketPlaceDialogGameStoreTabGameGoldRechargeButtonConfirmMessage { get; set; } = "You're about to navigate to a page that could minimize your game,\nDo you want to continue?";
        public override string MarketPlaceDialogGameStoreTabGameGoldRechargeButtonConfirmCaption { get; set; } = "Buy Game Gold";
        public override string MarketPlaceDialogGameStoreTabBuyingLabel { get; set; } = "购买中";
        public override string MarketPlaceDialogGameStoreTabBuyingCountLabel { get; set; } = "数量:";
        public override string MarketPlaceDialogGameStoreTabBuyingPriceLabel { get; set; } = "G. Gold:";
        public override string MarketPlaceDialogGameStoreTabBuyingTotalLabel { get; set; } = "总共:";
        public override string MarketPlaceDialogGameStoreTabBuyingUseHuntGoldLabel { get; set; } = "Use Hunt Gold:";
        public override string MarketPlaceDialogGameStoreTabBuyingBuyButtonLabel { get; set; } = "购买";

        public override string MonsterDialogUndeadIconHint { get; set; } = "Undead";
        public override string MonsterDialogMortalIconHint { get; set; } = "Mortal";
        public override string MonsterDialogTamableIconHint { get; set; } = "Tamable";
        public override string MonsterDialogUntamableIconHint { get; set; } = "Untamable";
        public override string MonsterDialogAttackingIconDefaultHint { get; set; } = "攻击速度";
        public override string MonsterDialogMovingIconDefaultHint { get; set; } = "移动速度";
        public override string MonsterDialogGrowthIconDefaultHint { get; set; } = "成长";
        public override string MonsterDialogGrowthIconHint { get; set; } = "成长等级. {0}";
        public override string MonsterDialogAttackSpeedIconAttackingNonHint { get; set; } = "Non Attacking";
        public override string MonsterDialogAttackSpeedIconAttackingVerySlowHint { get; set; } = "Attacking: Very Slow";
        public override string MonsterDialogAttackSpeedIconAttackingSlowHint { get; set; } = "Attacking: Slow";
        public override string MonsterDialogAttackSpeedIconAttackingSomewhatSlowHint { get; set; } = "Attacking: Somewhat Slow";
        public override string MonsterDialogAttackSpeedIconAttackingModerateHint { get; set; } = "Attacking: Moderate";
        public override string MonsterDialogAttackSpeedIconAttackingSomewhatFastHint { get; set; } = "Attacking: Somewhat Fast";
        public override string MonsterDialogAttackSpeedIconAttackingFastHint { get; set; } = "Attacking: Fast";
        public override string MonsterDialogAttackSpeedIconAttackingVeryFastHint { get; set; } = "Attacking: Very Fast";
        public override string MonsterDialogMovementSpeedIconMovingNonHint { get; set; } = "Non Moving";
        public override string MonsterDialogMovementSpeedIconMovingVerySlowHint { get; set; } = "Moving: Very Slow";
        public override string MonsterDialogMovementSpeedIconMovingSlowHint { get; set; } = "Moving: Slow";
        public override string MonsterDialogMovementSpeedIconMovingSomewhatSlowHint { get; set; } = "Moving: Somewhat Slow";
        public override string MonsterDialogMovementSpeedIconMovingModerateHint { get; set; } = "Moving: Moderate";
        public override string MonsterDialogMovementSpeedIconMovingSomewhatFastHint { get; set; } = "Moving: Somewhat Fast";
        public override string MonsterDialogMovementSpeedIconMovingFastHint { get; set; } = "Moving: Fast";
        public override string MonsterDialogMovementSpeedIconMovingVeryFastHint { get; set; } = "Moving: Very Fast";

        public override string QuestDialogTitle { get; set; } = "任务日志";
        public override string QuestDialogCurrentTab { get; set; } = "当前的";
        public override string QuestDialogAvailableTab { get; set; } = "可用的";
        public override string QuestDialogCompletedTab { get; set; } = "完成的";
        public override string QuestTabDetailsLabel { get; set; } = "详情";
        public override string QuestTabShowQuestTrackerLabel { get; set; } = "Show Quest Tracker";
        public override string QuestTabTasksLabel { get; set; } = "任务";
        public override string QuestTabRewardsLabel { get; set; } = "奖励";
        public override string QuestTabChoiceLabel { get; set; } = "选择";
        public override string QuestTabStartLabel { get; set; } = "开始:";
        public override string QuestTabEndLabel { get; set; } = "结束:";
        public override string QuestAbandonButtonLabel { get; set; } = "取消";
        public override string QuestAbandonConfirmationCaption { get; set; } = "取消任务";
        public override string QuestAbandonConfirmationMessage { get; set; } = "你确定要取消这次任务吗?";

        public override string RankingDialogTitle { get; set; } = "排行版";
        public override string RankingDialogGlobalTabLabel { get; set; } = "全局";
        public override string RankingDialogSearchButtonLabel { get; set; } = "搜索";
        public override string RankingDialogObserveButtonLabel { get; set; } = "观察";
        public override string RankingDialogOnlineOnlyLabel { get; set; } = "在线";
        public override string RankingDialogObservableLabel { get; set; } = "观察";

        public override string StorageDialogTitle { get; set; } = "仓库";
        public override string StorageDialogSortButtonLabel { get; set; } = "排序";
        public override string StorageDialogFilterNameLabel { get; set; } = "名称:";
        public override string StorageDialogFilterItemLabel { get; set; } = "物品:";
        public override string StorageDialogFilterClearButtonLabel { get; set; } = "清理";
        public override string StorageDialogStorageTab { get; set; } = "仓库";
        public override string StorageDialogPartsTab { get; set; } = "Parts";

        public override string TradeDialogTitle { get; set; } = "交易窗口";
        public override string TradeDialogUserLabel { get; set; } = "用户";
        public override string TradeDialogPlayerLabel { get; set; } = "玩家";
        public override string TradeDialogGoldLabel { get; set; } = "金币";
    }
}
