﻿using Library;

namespace Client.Envir.Translations
{
    [ConfigPath(@".\Translations\EnglishMessages.ini", Disabled = false)]
    public class EnglishMessages : StringMessages
    {
        [ConfigSection("Message")]
        public override string CannotChangeGenderWhileWearingArmour { get; set; } = "You cannot change gender whilst you are wearing armour.";
        public override string WearingArmourBeforeDye { get; set; } = "You need to be wearing an armour before you can apply a dye.";
        public override string UnableToRepairHere { get; set; } = "Unable to repair {0} here.";
        public override string UnableToRepairFullyRepaired { get; set; } = "Unable to repair {0}, it is already fully repaired.";
        public override string UnableToCraft { get; set; } = "Unable to use {0} to Craft.";
        public override string UnableToFragment { get; set; } = "Unable to Fragment {0}, it cannot be Fragmented.";
        public override string UnableToSellHere { get; set; } = "Unable to Sell {0} here.";
        public override string UnableToSellHereCannotSold { get; set; } = "Unable to Sell {0}, it cannot be sold.";
        public override string UnableToLevel { get; set; } = "Unable to Level {0}.";
        public override string UnableToUseToLevel { get; set; } = "Unable to use {0} to level.";
        public override string UnableToReset { get; set; } = "Unable to Reset {0}.";
        public override string UnableToTrade { get; set; } = "Unable to trade this item.";
        public override string UnableToRefine { get; set; } = "Unable to refine {0}.";
        public override string UnableToUpgrade { get; set; } = "Unable to Upgrade {0}.";
        public override string UnableToRefineIncorrectItem { get; set; } = "Unable to use {0} to refine.";
        public override string UnableToRefineHasBeenLevelled { get; set; } = "Unable to refine {0} because it has been levelled.";
        public override string UnableToRefineNeedCorundumOre { get; set; } = "You cannot use {0}, you must use Corundum Ore.";
        public override string UnableToStoreInGuildStorage { get; set; } = "Unable to store this item in guild storage.";
        public override string OnlyBlackIronOreCanBeUsed { get; set; } = "Only Black Iron Ore can be used.";
        public override string DoesntHaveSameStats { get; set; } = "{0} doesnt have the same stats as the main accessory.";
        public override string NoFreeSpaceInInventory { get; set; } = "No Free Space in Inventory.";
        public override string NoFreeSpaceInStorage { get; set; } = "No Free Space in Storage.";
        public override string NoFreeSpaceInCompanionInventory { get; set; } = "No Free Space in companion's Inventory.";
        public override string WeaponEnergyFlamingSword { get; set; } = "Energy builds up within your weapon, Flaming Sword is ready.";
        public override string WeaponEnergyDragonRise { get; set; } = "Energy builds up within your weapon, Dragon Rise is ready.";
        public override string WeaponEnergyBladeStorm { get; set; } = "Energy builds up within your weapon, Blade Storm is ready.";
        public override string WeaponEnergyDefensiveBlow { get; set; } = "Energy builds up within your weapon, Defensive Blow is ready.";
        public override string LevelIncreased { get; set; } = "Level Increased";
        public override string GainedExperience { get; set; } = "Experience Gained {0:#,##0.#}";
        public override string LostExperience { get; set; } = "Experience Lost {0:#,##0.#}.";
        public override string GainedExperienceAndWeaponExperience { get; set; } = "Experience Gained {0:#,##0.#}, Weapon Experience {1:#,##0.#}.";
        public override string GainedExperienceAndReadyForRefine { get; set; } = "Experience Gained {0:#,##0.#}, Your weapon is ready for refine.";
        public override string ItemGained { get; set; } = "You gained {0}.";
        public override string ItemsGained { get; set; } = "You gained {0} x{1}.";
        public override string NothingHappen { get; set; } = "Nothing happen to your {0}";
        public override string ItemStatsNewElement { get; set; } = "Your {0} has been effected: New Element {1}";
        public override string ItemStatsEffected { get; set; } = "Your {0} has been effected: {1}";
        public override string ItemDurabilityDrop { get; set; } = "Your item {0} has dropped to durability 0";
        public override string RefineSuccess { get; set; } = "Your Refine has been placed successfully, please collect your weapon in {0}";
        public override string GroupJoin { get; set; } = "-{0} has joined the group.";
        public override string GroupRemove { get; set; } = "-{0} has left the group.";
        public override string GuildWarStarted { get; set; } = "You are at war with {0} for {1}";
        public override string GuildWarFinished { get; set; } = "Your war with {0} has ended.";
        public override string CompanionItemGained { get; set; } = "Your companion gained {0}.";
        public override string CompanionItemsGained { get; set; } = "Your companion gained {0} x{1}.";
        public override string UseThrusting { get; set; } = "Use Thrusting.";
        public override string DoNotUseThrusting { get; set; } = "Do not use Thrusting.";
        public override string UseHalfMoon { get; set; } = "Use Half Moon Strike.";
        public override string DoNotUseHalfMoon { get; set; } = "Do not use Half Moon Strike.";
        public override string UseDestructiveSurge { get; set; } = "Use Destructive Blow.";
        public override string DoNotUseDestructiveSurge { get; set; } = "Do not use Destructive Blow.";
        public override string UseFlameSplash { get; set; } = "Use Flame Splash.";
        public override string DoNotUseFlameSplash { get; set; } = "Do not use Flame Splash.";
        public override string GameSceneAutoRunOn { get; set; } = "[AutoRun: On]";
        public override string GameSceneAutoRunOff { get; set; } = "[AutoRun: Off]";
        public override string GameSceneSkillReady { get; set; } = "{0} is now Ready.";
        public override string GameSceneCastInCooldown { get; set; } = "Unable to cast {0}, it is still on Cooldown.";
        public override string GameSceneCastInCombat { get; set; } = "Unable to cast {0} whilst in combat";
        public override string GameSceneCastNoEnoughHealth { get; set; } = "Unable to cast {0}, You do not have enough Health.";
        public override string GameSceneCastNoEnoughMana { get; set; } = "Unable to cast {0}, You do not have enough Mana.";
        public override string GameSceneCastTooFar { get; set; } = "Unable to cast {0}, Your target is too far.";
        public override string GameSceneThrowTooFar { get; set; } = "Unable to throw {0}, Your target is too far.";
        public override string GameSceneHoldTooHeavy { get; set; } = "Unable to hold {0}, it is too heavy.";
        public override string GameSceneNeedFishingRod { get; set; } = "Unable to hold {0}, must be holding fishing rod.";
        public override string GameSceneWearTooHeavy { get; set; } = "Unable to wear {0}, it is too heavy.";
        public override string ChatLayoutLoaded { get; set; } = "Chat Layout Loaded";
        public override string ChatLayoutSaved { get; set; } = "Chat Layout Saved";
        public override string MailNew { get; set; } = "You have received a new mail from {0}.";
        public override string CommunicationCannotDeleteMailWithItems { get; set; } = "You cannot delete a mail with items inside";
        public override string DungeonAlreadyInInstance { get; set; } = "You are already in an instance.";
        public override string DungeonRegionNotConfigured { get; set; } = "Connect Region not configured for this instance.";
        public override string DungeonNotCorrectLevel { get; set; } = "You are not the correct level.";
        public override string DungeonInGroup { get; set; } = "You must be in a group.";
        public override string DungeonNotEnoughPeople { get; set; } = "There are not enough people in your group.";
        public override string DungeonTooManyPeople { get; set; } = "There are too many people in your group.";
        public override string DungeonInGuild { get; set; } = "You must be in a guild.";
        public override string DungeonInCastle { get; set; } = "Your guild must own a castle.";
        public override string CharacterSameGender { get; set; } = "You are already a {0}.";
        public override string LogoutInCombat { get; set; } = "Unable to logout whilst in combat.";
        public override string ExitInCombat { get; set; } = "Unable to exit game whilst in combat.";
        public override string FilterConfigSaved { get; set; } = "Drop filters have been saved to your configuration";
        public override string GroupMemberLimit { get; set; } = "Group member limit has been reached";
        public override string GroupNotLeader { get; set; } = "You are not the leader of your group.";
        public override string MarketNoItemSelected { get; set; } = "Error: No Item selected.";
        public override string MarketInvalidPrice { get; set; } = "Error: Invalid Price.";
        public override string BuySellOverweight { get; set; } = "You do not have enough weight to buy any '{0}'.";
        public override string BuySellNeedGold { get; set; } = "You do not have enough gold to buy a '{0}'.";
        public override string QuestSelectReward { get; set; } = "Please select a reward.";
        public override string CompanionNeedTicket { get; set; } = "You need a Companion Ticket to unlock a new appearance";
        public override string RefineNeedIronOre { get; set; } = "You need Iron Ore x4 to create a Refinement Stone";
        public override string RefineNeedSilverOre { get; set; } = "You need Silver Ore x4 to create a Refinement Stone";
        public override string RefineNeedDiamond { get; set; } = "You need Diamond x4 to create a Refinement Stone";
        public override string RefineNeedGoldOre { get; set; } = "You need Gold Ore x2 to create a Refinement Stone";
        public override string RefineNeedCrystal { get; set; } = "You need Crystal x1 to create a Refinement Stone";
        public override string RefineNeedGold { get; set; } = "You cannot aford to offer this amount of gold.";
        public override string RefineNeedFragmentI { get; set; } = "You need Fragment (I) x10 to Master Refine";
        public override string RefineNeedFragmentII { get; set; } = "You need Fragment (II) x10 to Master Refine";
        public override string RefineNeedFragmentIII { get; set; } = "You need at least 1x Fragment (III) to Master Refine";
        public override string RefineNeedRefinementStone { get; set; } = "You need Refinement Stone x1 to Master Refine";
        public override string SpectatorModeWarningInCombat { get; set; } = "Unable to observe whilst in combat.";
        public override string SpectatorModeWarningInSafezone { get; set; } = "You can only change spectator mode whilst in safezone.";
        public override string ScreenshotSaved { get; set; } = "Screenshot Saved {0}";

        [ConfigSection("Common")]
        public override string CommonControlApply { get; set; } = "Apply";
        public override string CommonControlCancel { get; set; } = "Cancel";
        public override string CommonControlClose { get; set; } = "Close";
        public override string CommonControlConfirm { get; set; } = "Confirm";
        public override string CommonControlExit { get; set; } = "Exit";
        public override string CommonControlNo { get; set; } = "No";
        public override string CommonControlOk { get; set; } = "Ok";
        public override string CommonControlSelect { get; set; } = "Select";
        public override string CommonControlYes { get; set; } = "Yes";
        public override string CommonControlDefaults { get; set; } = "Defaults";
        public override string CommonControlColourPickerTitle { get; set; } = "Colour Picker";
        public override string CommonControlColourPickerRedLabel { get; set; } = "Red:";
        public override string CommonControlColourPickerGreenLabel { get; set; } = "Green:";
        public override string CommonControlColourPickerBlueLabel { get; set; } = "Blue:";
        public override string CommonControlColourPickerColourLabel { get; set; } = "Colour:";
        public override string CommonControlColourPickerNoneLabel { get; set; } = "None";
        public override string CommonControlColourPickerEmptyLabel { get; set; } = "No Colour";
        public override string CommonControlConfigWindowTitle { get; set; } = "Configuration";
        public override string CommonControlConfigWindowGraphicsTabLabel { get; set; } = "Graphics";
        public override string CommonControlConfigWindowSoundTabLabel { get; set; } = "Sound";
        public override string CommonControlConfigWindowGameTabLabel { get; set; } = "Game";
        public override string CommonControlConfigWindowNetworkTabLabel { get; set; } = "Network";
        public override string CommonControlConfigWindowColoursTabLabel { get; set; } = "Colours";
        public override string CommonControlConfigWindowGraphicsTabFullScreenLabel { get; set; } = "Full Screen:";
        public override string CommonControlConfigWindowGraphicsTabGameSizeLabel { get; set; } = "Game Size:";
        public override string CommonControlConfigWindowGraphicsTabVSyncLabel { get; set; } = "V-Sync:";
        public override string CommonControlConfigWindowGraphicsTabLimitFPSLabel { get; set; } = "Limit FPS:";
        public override string CommonControlConfigWindowGraphicsTabSmoothMoveLabel { get; set; } = "Smooth Move:";
        public override string CommonControlConfigWindowGraphicsTabClipMouseLabel { get; set; } = "Clip Mouse:";
        public override string CommonControlConfigWindowGraphicsTabDebugLabelLabel { get; set; } = "Debug Label:";
        public override string CommonControlConfigWindowGraphicsTabLanguageLabel { get; set; } = "Language:";
        public override string CommonControlConfigWindowSoundTabBackgroundSoundLabel { get; set; } = "Background Sound:";
        public override string CommonControlConfigWindowSoundTabSystemVolumeLabel { get; set; } = "System Volume:";
        public override string CommonControlConfigWindowSoundTabMusicVolumeLabel { get; set; } = "Music Volume:";
        public override string CommonControlConfigWindowSoundTabPlayerVolumeLabel { get; set; } = "Player Volume:";
        public override string CommonControlConfigWindowSoundTabMonsterVolumeLabel { get; set; } = "Monster Volume:";
        public override string CommonControlConfigWindowSoundTabMagicVolumeLabel { get; set; } = "Magic Volume:";
        public override string CommonControlConfigWindowGameTabItemNameLabel { get; set; } = "Item Names:";
        public override string CommonControlConfigWindowGameTabMonsterNameLabel { get; set; } = "Monster Names:";
        public override string CommonControlConfigWindowGameTabPlayerNameLabel { get; set; } = "Player Names:";
        public override string CommonControlConfigWindowGameTabUserHealthLabel { get; set; } = "User Health:";
        public override string CommonControlConfigWindowGameTabMonsterHealthLabel { get; set; } = "Monster Health:";
        public override string CommonControlConfigWindowGameTabDamageNumbersLabel { get; set; } = "Dmg Numbers:";
        public override string CommonControlConfigWindowGameTabDrawParticlesLabel { get; set; } = "Draw Particles:";
        public override string CommonControlConfigWindowGameTabDisplayHelmetLabel { get; set; } = "Display Helmet:";
        public override string CommonControlConfigWindowGameTabHideChatBarLabel { get; set; } = "Hide Chat Bar:";
        public override string CommonControlConfigWindowGameTabEscapeCloseAllLabel { get; set; } = "Escape Close All:";
        public override string CommonControlConfigWindowGameTabShiftOpenChatLabel { get; set; } = "Shift + 1  Open Chat:";
        public override string CommonControlConfigWindowGameTabShiftOpenChatHint { get; set; } = "If turned on, Pressing Shift + 1 will open chat, if this is off you will use Quick Slot 1";
        public override string CommonControlConfigWindowGameTabRightClickDeTargetLabel { get; set; } = "Right Click De-Target:";
        public override string CommonControlConfigWindowGameTabRightClickDeTargetHint { get; set; } = "If turned on, Right clicking to move away will also remove monster target.";
        public override string CommonControlConfigWindowGameTabMonsterBoxVisibleLabel { get; set; } = "Show Monster Info:";
        public override string CommonControlConfigWindowGameTabLogChatLabel { get; set; } = "Log Chat:";
        public override string CommonControlConfigWindowGameTabDrawEffectsLabel { get; set; } = "Draw Effects:";
        public override string CommonControlConfigWindowGameTabDrawWeatherLabel { get; set; } = "Draw Weather:";
        public override string CommonControlConfigWindowGameTabKeyBindButtonLabel { get; set; } = "Key Binds";
        public override string CommonControlConfigWindowNetworkTabUseNetworkConfigLabel { get; set; } = "Use Config:";
        public override string CommonControlConfigWindowNetworkTabUseIPAddressLabel { get; set; } = "IP Address:";
        public override string CommonControlConfigWindowNetworkTabUsePortLabel { get; set; } = "Port:";
        public override string CommonControlConfigWindowColoursTabLocalChatLabel { get; set; } = "Local Chat:";
        public override string CommonControlConfigWindowColoursTabGMWhisperInLabel { get; set; } = "GM Whisper In:";
        public override string CommonControlConfigWindowColoursTabWhisperInLabel { get; set; } = "Whisper In:";
        public override string CommonControlConfigWindowColoursTabWhisperOutLabel { get; set; } = "Whisper Out:";
        public override string CommonControlConfigWindowColoursTabGroupChatLabel { get; set; } = "Group Chat:";
        public override string CommonControlConfigWindowColoursTabGuildChatLabel { get; set; } = "Guild Chat:";
        public override string CommonControlConfigWindowColoursTabShoutChatLabel { get; set; } = "Shout Chat:";
        public override string CommonControlConfigWindowColoursTabGlobalChatLabel { get; set; } = "Global Chat:";
        public override string CommonControlConfigWindowColoursTabObserverChatLabel { get; set; } = "Observer Chat:";
        public override string CommonControlConfigWindowColoursTabHintTextLabel { get; set; } = "Hint Text:";
        public override string CommonControlConfigWindowColoursTabSystemTextLabel { get; set; } = "System Text:";
        public override string CommonControlConfigWindowColoursTabGainsTextLabel { get; set; } = "Gains Text:";
        public override string CommonControlConfigWindowColoursTabAnnouncementsLabel { get; set; } = "Announcements:";
        public override string CommonControlConfigWindowColoursTabResetColoursButtonLabel { get; set; } = "Reset All";
        public override string CommonControlDXKeyBindWindowTitle { get; set; } = "Key Binds";
        public override string CommonControlDXKeyBindWindowTipLabel { get; set; } = "[Escape] to undo changes to current Key Bind";
        public override string CommonControlDXKeyBindWindowDefaultConfirmMessage { get; set; } = "Are you sure you want to reset ALL keybinds back to the default settings?";
        public override string CommonControlDXKeyBindWindowDefaultConfirmCaption { get; set; } = "Reset Key Binds";
        public override string CommonStatusAC { get; set; } = "AC";
        public override string CommonStatusMR { get; set; } = "MR";
        public override string CommonStatusDC { get; set; } = "DC";
        public override string CommonStatusMC { get; set; } = "MC";
        public override string CommonStatusSC { get; set; } = "SC";
        public override string CommonStatusHealth { get; set; } = "Health";
        public override string CommonStatusMana { get; set; } = "Mana";
        public override string CommonStatusElementAttack { get; set; } = "E.Att";
        public override string CommonStatusFire { get; set; } = "Fire";
        public override string CommonStatusIce { get; set; } = "Ice";
        public override string CommonStatusLightning { get; set; } = "Lightning";
        public override string CommonStatusWind { get; set; } = "Wind";
        public override string CommonStatusHoly { get; set; } = "Holy";
        public override string CommonStatusDark { get; set; } = "Dark";
        public override string CommonStatusPhantom { get; set; } = "Phantom";
        public override string CommonStatusPhysical { get; set; } = "Physical";

        [ConfigSection("Scenes")]
        public override string LoginConnectionAttemptMessage { get; set; } = "Attempting to connect to the server.\nAttempt:{0}";
        public override string LoginConnectionAttemptCaption { get; set; } = "Connecting";
        public override string LoginLoadingMessage { get; set; } = "Loading Client Information...\nPlease wait...";
        public override string LoginLoadingCaption { get; set; } = "Loading";
        public override string LoginDialogTitle { get; set; } = "Enter your Email and Password";
        public override string LoginDialogEMailHelpHint { get; set; } = "E-Mail Address.\nFormat: Example@Example.Com.\nMax Length: {0} characters.";
        public override string LoginDialogPasswordHelpHint { get; set; } = "Password.\nAccepted characters:Any non-white space character.\nLength: between {0} and {1} characters.";
        public override string LoginDialogLoginButtonLabel { get; set; } = "Log In";
        public override string LoginDialogExitButtonLabel { get; set; } = "Exit Game";
        public override string LoginDialogRankingButtonLabel { get; set; } = "Rankings";
        public override string LoginDialogOptionButtonLabel { get; set; } = "Options";
        public override string LoginDialogNewAccountButtonLabel { get; set; } = "New Account";
        public override string LoginDialogChangePasswordButtonLabel { get; set; } = "Change Password";
        public override string LoginDialogRememberCheckBoxLabel { get; set; } = "Remember Details?";
        public override string LoginDialogForgotPasswordLabel { get; set; } = "Forgot Password?";

        public override string NewAccountDialogTitle { get; set; } = "Account Creation";
        public override string NewAccountDialogCreateButtonLabel { get; set; } = "Create";
        public override string NewAccountDialogEMailLabel { get; set; } = "E-Mail:";
        public override string NewAccountDialogPassword1Label { get; set; } = "Password:";
        public override string NewAccountDialogPassword2Label { get; set; } = "Password:";
        public override string NewAccountDialogRealNameLabel { get; set; } = "Real Name:";
        public override string NewAccountDialogBirthDateLabel { get; set; } = "Birth Date:";
        public override string NewAccountDialogReferralLabel { get; set; } = "Referral:";
        public override string NewAccountDialogEMailHelpHint { get; set; } = "E-Mail Address.\nFormat: Example@Example.Com.\nMax Length: {0} characters.";
        public override string NewAccountDialogPassword1HelpHint { get; set; } = "Password.\nAccepted characters: Any non-white space character.\nLength: between {0} and {1} characters.";
        public override string NewAccountDialogPassword2HelpHint { get; set; } = "Password.\nAccepted characters: Any non-white space character.\nLength: between {0} and {1} characters.";
        public override string NewAccountDialogRealNameHelpHint { get; set; } = "Real Name.\nAccepted characters: All.\nLength: between {0} and {1} characters.\nRequired: {2}";
        public override string NewAccountDialogBirthDateHelpHint { get; set; } = "Birth Date.\nFormat: {0}.\nRequired: {1}";
        public override string NewAccountDialogReferralHelpHint { get; set; } = "E-Mail Address of the person who referred you.\nFormat: Example@Example.Com.\nMax Length: {0} characters.";

        public override string ChangePasswordTitle { get; set; } = "Change Password";
        public override string ChangePasswordChangeButtonLabel { get; set; } = "Change";
        public override string ChangePasswordEMailLabel { get; set; } = "E-Mail:";
        public override string ChangePasswordCurrentPasswordLabel { get; set; } = "Current Password:";
        public override string ChangePasswordNewPassword1Label { get; set; } = "New Password:";
        public override string ChangePasswordNewPassword2Label { get; set; } = "New Password:";
        public override string ChangePasswordEMailHelpHint { get; set; } = "E-Mail Address.\nFormat: Example@Example.Com.\nMax Length: {0} characters.";
        public override string ChangePasswordCurrentPasswordHelpHint { get; set; } = "Password.\nAccepted characters: Any non-white space character.\nLength: between {0} and {1} characters.";
        public override string ChangePasswordNewPassword1HelpHint { get; set; } = "Password.\nAccepted characters: Any non-white space character.\nLength: between {0} and {1} characters.";
        public override string ChangePasswordNewPassword2HelpHint { get; set; } = "Password.\nAccepted characters: Any non-white space character.\nLength: between {0} and {1} characters.";

        public override string RequestResetPasswordTitle { get; set; } = "Request Password Reset";
        public override string RequestResetPasswordRequestButtonLabel { get; set; } = "Request";
        public override string RequestResetPasswordEMailLabel { get; set; } = "E-Mail:";
        public override string RequestResetPasswordEMailHelpHint { get; set; } = "E-Mail Address.\nFormat: Example@Example.Com.\nMax Length: {0} characters.";
        public override string RequestResetPasswordHaveKeyLabel { get; set; } = "Have Reset Key?";

        public override string ResetPasswordTitle { get; set; } = "Reset Password";
        public override string ResetPasswordResetButtonLabel { get; set; } = "Reset";
        public override string ResetPasswordResetKeyLabel { get; set; } = "Reset Key:";
        public override string ResetPasswordNewPassword1Label { get; set; } = "New Password:";
        public override string ResetPasswordNewPassword2Label { get; set; } = "New Password:";
        public override string ResetPasswordResetKeyHelpHint { get; set; } = "Reset Key.\nRandom series of numbers and letters found in the password reset E-Mail.\nCase Sensetive.";
        public override string ResetPasswordNewPassword1HelpHint { get; set; } = "Password.\nAccepted characters: Any non-white space character.\nLength: between {0} and {1} characters.";
        public override string ResetPasswordNewPassword2HelpHint { get; set; } = "Password.\nAccepted characters: Any non-white space character.\nLength: between {0} and {1} characters.";

        public override string ActivationTitle { get; set; } = "Account Activation";
        public override string ActivationActivateButtonLabel { get; set; } = "Activate";
        public override string ActivationActivationKeyLabel { get; set; } = "Activation Key:";
        public override string ActivationActivationKeyHelpHint { get; set; } = "Activation Key.\nRandom series of numbers and letters found in the activation E-Mail.\nCase Sensetive.";
        public override string ActivationResendLabel { get; set; } = "Not received E-Mail?";

        public override string RequestActivationKeyTitle { get; set; } = "Request Activation Key";
        public override string RequestActivationKeyRequestButtonLabel { get; set; } = "Request";
        public override string RequestActivationKeyEMailLabel { get; set; } = "E-Mail:";
        public override string RequestActivationKeyEMailHelpHint { get; set; } = "E-Mail Address.\nFormat: Example@Example.Com.\nMax Length: {0} characters.";

        public override string SelectTitle { get; set; } = "Select Character";
        public override string SelectStartButtonLabel { get; set; } = "Start Game";
        public override string SelectCreateButtonLabel { get; set; } = "Create";
        public override string SelectDeleteButtonLabel { get; set; } = "Delete";

        public override string NewCharacterTitle { get; set; } = "Create Character";
        public override string NewCharacterCreateButtonLabel { get; set; } = "Create";
        public override string NewCharacterSelectClassLabel { get; set; } = "Select Class";
        public override string NewCharacterSelectedClassLabel { get; set; } = "Warrior";
        public override string NewCharacterSelectGenderLabel { get; set; } = "Select Gender";
        public override string NewCharacterSelectedGenderLabel { get; set; } = "Male";
        public override string NewCharacterCustomizationLabel { get; set; } = "Customization";
        public override string NewCharacterHairTypeLabel { get; set; } = "Hair Type:";
        public override string NewCharacterHairColorLabel { get; set; } = "Hair Colour:";
        public override string NewCharacterArmourColorLabel { get; set; } = "Armour Colour:";
        public override string NewCharacterPreviewLabel { get; set; } = "Preview";
        public override string NewCharacterCharacterNameLabel { get; set; } = "Name:";
        public override string NewCharacterCharacterNameHelpHint { get; set; } = "Character Name.\nAccepted characters: a-z A-Z 0-9.\nLength: between {0} and {1} characters.\nCan use previous names on same account.";

        public override string SelectNameLabel { get; set; } = "Name";
        public override string SelectClassLabel { get; set; } = "Class";
        public override string SelectLevelLabel { get; set; } = "Level";
        public override string SelectLocationLabel { get; set; } = "Location";

        public override string AutoPotionTitle { get; set; } = "Auto Potion";
        public override string AutoPotionEnabledLabel { get; set; } = "Enabled";

        public override string CharacterCharacterTabLabel { get; set; } = "Character";
        public override string CharacterHermitTabLabel { get; set; } = "Hermit";
        public override string CharacterDisciplineTabLabel { get; set; } = "Discipline";
        public override string CharacterCharacterTabStatsAttackTabLabel { get; set; } = "Att";
        public override string CharacterCharacterTabStatsDefenseTabLabel { get; set; } = "Def";
        public override string CharacterCharacterTabStatsWeightTabLabel { get; set; } = "Wt";
        public override string CharacterCharacterTabStatsOtherTabLabel { get; set; } = "Oth";
        public override string CharacterCharacterTabStatsElementAttackTabLabel { get; set; } = "E.Att";
        public override string CharacterCharacterTabStatsElementAdvantageTabLabel { get; set; } = "E.Adv";
        public override string CharacterCharacterTabStatsElementDisadvantageTabLabel { get; set; } = "E.Dis";
        public override string CharacterCharacterTabStatsAttackTabHint { get; set; } = "Attack";
        public override string CharacterCharacterTabStatsDefenseTabHint { get; set; } = "Defence";
        public override string CharacterCharacterTabStatsWeightTabHint { get; set; } = "Weight";
        public override string CharacterCharacterTabStatsOtherTabHint { get; set; } = "Other";
        public override string CharacterCharacterTabStatsElementAttackTabHint { get; set; } = "Element Attack";
        public override string CharacterCharacterTabStatsElementAdvantageTabHint { get; set; } = "Element Advantage";
        public override string CharacterCharacterTabStatsElementDisadvantageTabHint { get; set; } = "Element Disadvantage";

        public override string CharacterCharacterTabStatsAttackTabMCLabel { get; set; } = "MC:";
        public override string CharacterCharacterTabStatsAttackTabSCLabel { get; set; } = "SC:";
        public override string CharacterCharacterTabStatsAttackTabCritDamageLabel { get; set; } = "Crit. Damage:";
        public override string CharacterCharacterTabStatsAttackTabAccuracyLabel { get; set; } = "Accuracy:";
        public override string CharacterCharacterTabStatsAttackTabASpeedLabel { get; set; } = "A. Speed:";
        public override string CharacterCharacterTabStatsAttackTabLuckLabel { get; set; } = "Luck:";
        public override string CharacterCharacterTabStatsAttackTabCritChanceLabel { get; set; } = "Crit. Chance:";

        public override string CharacterCharacterTabStatsDefenseTabAgilityLabel { get; set; } = "Agility:";
        public override string CharacterCharacterTabStatsDefenseTabLifeStealLabel { get; set; } = "Life Steal:";

        public override string CharacterCharacterTabStatsWeightTabBodyWLabel { get; set; } = "Body W:";
        public override string CharacterCharacterTabStatsWeightTabHandWLabel { get; set; } = "Hand W:";

        public override string CharacterCharacterTabStatsAdditionalTabComfortLabel { get; set; } = "Comfort:";
        public override string CharacterCharacterTabStatsAdditionalTabPickupRadiusLabel { get; set; } = "Pickup Radius:";
        public override string CharacterCharacterTabStatsAdditionalTabGoldRateLabel { get; set; } = "Gold Rate:";
        public override string CharacterCharacterTabStatsAdditionalTabDropRateLabel { get; set; } = "Drop Rate:";
        public override string CharacterCharacterTabStatsAdditionalTabExpRateLabel { get; set; } = "Exp. Rate:";

        public override string CharacterHermitTabShowConfirmationLabel { get; set; } = "Show Confirmation";
        public override string CharacterHermitTabUnspentPointsLabel { get; set; } = "Unspent Points:";
        public override string CharacterHermitTabButtonsConfirmationCaption { get; set; } = "Hermit Confirmation";
        public override string CharacterHermitTabButtonsConfirmationMessage { get; set; } = "Are you sure you want to increase your {0}?";
        public override string CharacterHermitTabButtonsMCLabel { get; set; } = "MC";
        public override string CharacterHermitTabButtonsConfirmationMCMessage { get; set; } = "Are you sure you want to increase your MC?";
        public override string CharacterHermitTabButtonsSCLabel { get; set; } = "SC";
        public override string CharacterHermitTabButtonsConfirmationSCMessage { get; set; } = "Are you sure you want to increase your SC?";
        public override string CharacterHermitTabButtonsElementLabel { get; set; } = "Element";
        public override string CharacterHermitTabButtonsConfirmationElementMessage { get; set; } = "Are you sure you want to increase your Element Attack?";

        public override string CharacterDisciplineTabLvLabel { get; set; } = "Discipline Lv:";
        public override string CharacterDisciplineTabUnusedLabel { get; set; } = "Label Unused";
        public override string CharacterDisciplineTabExpLabel { get; set; } = "Discipline Exp:";
        public override string CharacterDisciplineTabButtonGainLabel { get; set; } = "Gain Discipline";
        public override string CharacterDisciplineTabConfirmationMessage { get; set; } = "Are you sure you want to discipline your character?\nDisciplining will cost {0:n0} Gold";
        public override string CharacterDisciplineTabConfirmationCaption { get; set; } = "Discipline Character";

        public override string ChatOptionsDialogTitle { get; set; } = "Chat Options";
        public override string ChatOptionsDialogButtonAdd { get; set; } = "Add";
        public override string ChatOptionsDialogButtonResetAll { get; set; } = "Reset All";
        public override string ChatOptionsDialogResetAllMessage { get; set; } = "Are you sure you want to reset ALL chat windows";
        public override string ChatOptionsDialogResetAllCaption { get; set; } = "Chat Reset";
        public override string ChatOptionsDialogButtonSaveAll { get; set; } = "Save All";
        public override string ChatOptionsDialogButtonReloadAll { get; set; } = "Reload All";
        public override string ChatOptionsDialogReloadAllMessage { get; set; } = "Are you sure you want to reload ALL chat windows";
        public override string ChatOptionsDialogReloadAllCaption { get; set; } = "Chat reload";

        public override string ChatOptionsPanelChatNameLabel { get; set; } = "Chat Name:";
        public override string ChatOptionsPanelTransparentLabel { get; set; } = "Transparent:";
        public override string ChatOptionsPanelShowAlertLabel { get; set; } = "Show Alert:";
        public override string ChatOptionsPanelHideTabLabel { get; set; } = "Hide Tab:";
        public override string ChatOptionsPanelReverseLabel { get; set; } = "Reverse List:";
        public override string ChatOptionsPanelCleanUpLabel { get; set; } = "Remove Old:";
        public override string ChatOptionsPanelFadeOutLabel { get; set; } = "Fade Out:";
        public override string ChatOptionsPanelLocalChatLabel { get; set; } = "Local Chat:";
        public override string ChatOptionsPanelWhisperChatLabel { get; set; } = "Whisper Chat:";
        public override string ChatOptionsPanelGroupChatLabel { get; set; } = "Group Chat:";
        public override string ChatOptionsPanelGuildChatLabel { get; set; } = "Guild Chat:";
        public override string ChatOptionsPanelShoutChatLabel { get; set; } = "Shout Chat:";
        public override string ChatOptionsPanelGlobalChatLabel { get; set; } = "Global Chat:";
        public override string ChatOptionsPanelObserverChatLabel { get; set; } = "Observer Chat:";
        public override string ChatOptionsPanelHintTextLabel { get; set; } = "Hint Text:";
        public override string ChatOptionsPanelSystemTextLabel { get; set; } = "System Text:";
        public override string ChatOptionsPanelGainsTextLabel { get; set; } = "Gains Text:";
        public override string ChatOptionsPanelRemoveLabel { get; set; } = "Remove";

        public override string ChatTextBoxOptionsButtonLabel { get; set; } = "Options";

        public override string CommunicationDialogTitle { get; set; } = "Communication";
        public override string CommunicationDialogFriendTabLabel { get; set; } = "Friends";
        public override string CommunicationDialogReceivedTabLabel { get; set; } = "Received Mail";
        public override string CommunicationDialogSendTabLabel { get; set; } = "Send Mail";
        public override string CommunicationDialogBlockedTabLabel { get; set; } = "Blocked";
        public override string CommunicationDialogFriendTabStatusLabel { get; set; } = "Status:";
        public override string CommunicationDialogFriendTabViewStatusLabel { get; set; } = "View Status:";
        public override string CommunicationDialogFriendTabFriendAddButtonLabel { get; set; } = "Add Friend";
        public override string CommunicationDialogFriendTabFriendAddButtonConfirmMessage { get; set; } = "Please enter the name of the person you wish to Friend.";
        public override string CommunicationDialogFriendTabFriendAddButtonConfirmCaption { get; set; } = "Friend Player";
        public override string CommunicationDialogFriendTabFriendRemoveButtonLabel { get; set; } = "Remove Friend";
        public override string CommunicationDialogFriendTabFriendRemoveButtonConfirmMessage { get; set; } = "Are you sure you want to Un-Friend {0}?";
        public override string CommunicationDialogFriendTabFriendRemoveButtonConfirmCaption { get; set; } = "Un-Friend Player";
        public override string CommunicationDialogReceivedTabCategoryLabel { get; set; } = "Category";
        public override string CommunicationDialogReceivedTabTitleLabel { get; set; } = "Title";
        public override string CommunicationDialogReceivedTabDateLabel { get; set; } = "Date Sent";
        public override string CommunicationDialogReceivedTabCollectAllButtonLabel { get; set; } = "Collect All";
        public override string CommunicationDialogReceivedTabDeleteAllButtonLabel { get; set; } = "Delete All";
        public override string CommunicationDialogReceivedTabNewButtonLabel { get; set; } = "New Mail";
        public override string CommunicationDialogSendTabRecipientLabel { get; set; } = "Recipient:";
        public override string CommunicationDialogSendTabSubjectLabel { get; set; } = "Subject:";
        public override string CommunicationDialogSendTabItemsLabel { get; set; } = "Items:";
        public override string CommunicationDialogSendTabGoldLabel { get; set; } = "Gold:";
        public override string CommunicationDialogSendTabSendButtonLabel { get; set; } = "Send";
        public override string CommunicationDialogBlockedTabAddButtonLabel { get; set; } = "Add Block";
        public override string CommunicationDialogBlockedTabAddButtonConfirmMessage { get; set; } = "Please enter the name of the person you wish to Block.";
        public override string CommunicationDialogBlockedTabAddButtonConfirmCaption { get; set; } = "Block Player";
        public override string CommunicationDialogBlockedTabRemoveButtonLabel { get; set; } = "Remove Block";
        public override string CommunicationDialogBlockedTabRemoveButtonConfirmMessage { get; set; } = "Are you sure you want to Un-Block {0}?";
        public override string CommunicationDialogBlockedTabRemoveButtonConfirmCaption { get; set; } = "Un-Block Player";
        public override string CommunicationDialogReadTabSenderLabel { get; set; } = "Sender:";
        public override string CommunicationDialogReadTabSubjectLabel { get; set; } = "Subject:";
        public override string CommunicationDialogReadTabDateSentLabel { get; set; } = "Date Sent:";
        public override string CommunicationDialogReadTabItemsLabel { get; set; } = "Items:";
        public override string CommunicationDialogReadTabReplyLabel { get; set; } = "Reply Mail:";
        public override string CommunicationDialogReadTabDeleteButtonLabel { get; set; } = "Delete Mail";

        public override string CompanionDialogTitle { get; set; } = "Companion";
        public override string CompanionDialogCompanionTabLabel { get; set; } = "Pet";
        public override string CompanionDialogCompanionTabBonusButtonLabel { get; set; } = "Bonus";
        public override string CompanionDialogCompanionTabFilterButtonLabel { get; set; } = "Filter";
        public override string CompanionDialogCompanionTabBagButtonLabel { get; set; } = "Bag";
        public override string CompanionDialogCompanionTabNameLabel { get; set; } = "Name";
        public override string CompanionDialogCompanionTabLevelLabel { get; set; } = "Level";
        public override string CompanionDialogCompanionTabExpLabel { get; set; } = "Exp";
        public override string CompanionDialogCompanionTabHungerLabel { get; set; } = "Hunger";

        public override string CurrencyDialogTitle { get; set; } = "Currencies";

        public override string ExitDialogTitle { get; set; } = "Exit Game";
        public override string ExitDialogToSelectButtonLabel { get; set; } = "Character Select";
        public override string ExitDialogExitButtonLabel { get; set; } = "Exit Game";

        public override string FilterDialogTitle { get; set; } = "Filter Drop";
        public override string FilterDialogFilterLabel { get; set; } = "Item #{0}";
        public override string FilterDialogSaveButtonLabel { get; set; } = "Save settings";

        public override string FishingCatchDialogAutoCast { get; set; } = "Auto Cast:";

        public override string FortuneCheckerDialogTitle { get; set; } = "Fortune Checker";
        public override string FortuneCheckerDialogNameLabel { get; set; } = "Name:";
        public override string FortuneCheckerDialogItemLabel { get; set; } = "Item:";
        public override string FortuneCheckerDialogSearchButtonLabel { get; set; } = "Search";

        public override string FortuneCheckerRowCountLabel { get; set; } = "Drop Count:";
        public override string FortuneCheckerRowProgressLabel { get; set; } = "Fortune Drop in:";
        public override string FortuneCheckerRowDateLabel { get; set; } = "Last Check:";
        public override string FortuneCheckerRowCheckButtonLabel { get; set; } = "Check";
        public override string FortuneCheckerRowCheckButtonConfirmMessage { get; set; } = "Are you sure you want to check your fortune progress?";
        public override string FortuneCheckerRowCheckButtonConfirmCaption { get; set; } = "Fortune Check";

        public override string GroupDialogTitle { get; set; } = "Group";
        public override string GroupDialogAllowGroupButtonAllowingHint { get; set; } = "Group Status: Allowing";
        public override string GroupDialogAllowGroupButtonNotAllowingHint { get; set; } = "Group Status: Not Allowing";
        public override string GroupDialogMemberTabLabel { get; set; } = "Members";
        public override string GroupDialogAddButtonConfirmMessage { get; set; } = "Please enter the name of the person you wish to group.";
        public override string GroupDialogAddButtonConfirmCaption { get; set; } = "Invite Group Member";
        public override string GroupDialogAddButtonHint { get; set; } = "Add Member";
        public override string GroupDialogRemoveButtonHint { get; set; } = "Remove Member";

        public override string GuildDialogTitle { get; set; } = "Guild";
        public override string GuildDialogCreateTabLabel { get; set; } = "Create";
        public override string GuildDialogCreateTabStep1Label { get; set; } = "Step 1 - Identity";
        public override string GuildDialogCreateTabStep1GuildNameLabel { get; set; } = "Guild Name:";
        public override string GuildDialogCreateTabStep2Label { get; set; } = "Step 2 - Payment";
        public override string GuildDialogCreateTabStep2GoldCheckBoxLabel { get; set; } = "{0:#,##0} Gold";
        public override string GuildDialogCreateTabStep2HornCheckBoxLabel { get; set; } = "Uma King's Horn";
        public override string GuildDialogCreateTabStep3Label { get; set; } = "Step 3 - Options";
        public override string GuildDialogCreateTabStep3ExtraMembersLabel { get; set; } = "Extra Members:";
        public override string GuildDialogCreateTabStep3ExtraMembersHint { get; set; } = "Base Limit: 10, Cost per Member Slot: {0}.";
        public override string GuildDialogCreateTabStep3ExtraStorageLabel { get; set; } = "Extra Storage:";
        public override string GuildDialogCreateTabStep3ExtraStorageHint { get; set; } = "Base Storage: 10, Cost per Storage Slot: {0}.";
        public override string GuildDialogCreateTabStep4Label { get; set; } = "Step 4 - Summary";
        public override string GuildDialogCreateTabStep4TotalCostLabel { get; set; } = "Gold Cost:";
        public override string GuildDialogCreateTabCreateButtonLabel { get; set; } = "Create Guild";
        public override string GuildDialogCreateTabStarterGuildButtonLabel { get; set; } = "Join Starter Guild";
        public override string GuildDialogHomeTabLabel { get; set; } = "Home";
        public override string GuildDialogHomeTabNoticeLabel { get; set; } = "Notice";
        public override string GuildDialogHomeTabNoticeEditButtonLabel { get; set; } = "Edit";
        public override string GuildDialogHomeTabNoticeSaveButtonLabel { get; set; } = "Save";
        public override string GuildDialogHomeTabNoticeStatsLabel { get; set; } = "Stats";
        public override string GuildDialogHomeTabNoticeStatsMembersLabel { get; set; } = "Members:";
        public override string GuildDialogHomeTabNoticeStatsGuildFundsLabel { get; set; } = "Guild Funds:";
        public override string GuildDialogHomeTabNoticeStatsTodaysGrowthLabel { get; set; } = "Today's Growth:";
        public override string GuildDialogHomeTabNoticeStatsTotalContributionLabel { get; set; } = "Total Contribution:";
        public override string GuildDialogHomeTabNoticeStatsTodaysContributionLabel { get; set; } = "Today's Contribution:";
        public override string GuildDialogHomeTabNoticeStatsTaxLabel { get; set; } = "Guild Tax:";
        public override string GuildDialogMembersTabLabel { get; set; } = "Members";
        public override string GuildDialogStorageTabLabel { get; set; } = "Storage";
        public override string GuildDialogStorageTabNameLabel { get; set; } = "Name:";
        public override string GuildDialogStorageTabItemLabel { get; set; } = "Item:";
        public override string GuildDialogStorageTabClearButtonLabel { get; set; } = "Clear";
        public override string GuildDialogWarTabLabel { get; set; } = "War";
        public override string GuildDialogCastleTabLabel { get; set; } = "Castle";
        public override string GuildDialogManageTabMembershipLabel { get; set; } = "Membership";
        public override string GuildDialogManageTabMembershipMemberConfirmMessage { get; set; } = "Please enter the name of the person you wish to Invite.";
        public override string GuildDialogManageTabMembershipIncreaseMemberConfirmMessage { get; set; } = "Would you like to increase member limit for {0:#,##0}?.";
        public override string GuildDialogManageTabMembershipAddButtonLabel { get; set; } = "Invite Member";
        public override string GuildDialogManageTabMembershipEditDefaultButtonLabel { get; set; } = "Default Rank";
        public override string GuildDialogManageTabTreasuryLabel { get; set; } = "Treasury";
        public override string GuildDialogManageTabTreasuryChangeButtonLabel { get; set; } = "Set Tax Amount";
        public override string GuildDialogManageTabTreasuryTaxConfirmMessage { get; set; } = "Please enter the amount you would like to set as tax.";
        public override string GuildDialogManageTabMembershipMembersIncreaseButtonLabel { get; set; } = "Increase Limit";
        public override string GuildDialogManageTabUpgradeStorageLabel { get; set; } = "Storage";
        public override string GuildDialogManageTabUpgradeStorageIncreaseButtonLabel { get; set; } = "Increase Limit";
        public override string GuildDialogManageTabUpgradeStorageConfirmMessage { get; set; } = "Would you like to increase storage limit for {0:#,##0}?.";
        public override string GuildDialogWarTabGuildWarStartWarButtonLabel { get; set; } = "Start War";
        public override string GuildDialogWarTabGuildWarConfirmMessage { get; set; } = "Please enter the name of the guild you wish to war.";
        public override string GuildMemberRowNameLabel { get; set; } = "Name";
        public override string GuildMemberRowRankLabel { get; set; } = "Rank";
        public override string GuildMemberRowTotalLabel { get; set; } = "Total Con.";
        public override string GuildMemberRowDailyLabel { get; set; } = "Daily Con.";
        public override string GuildMemberRowOnlineLabel { get; set; } = "Online";
        public override string GuildMemberDialogTitle { get; set; } = "Edit Member";
        public override string GuildMemberDialogMemberLabel { get; set; } = "Member:";
        public override string GuildMemberDialogRankLabel { get; set; } = "Rank:";
        public override string GuildMemberDialogLeaderLabel { get; set; } = "Is Leader:";
        public override string GuildMemberDialogEditNoticeLabel { get; set; } = "Edit Notice:";
        public override string GuildMemberDialogAddMemberLabel { get; set; } = "Add Member:";
        public override string GuildMemberDialogUseStorageLabel { get; set; } = "Use Storage:";
        public override string GuildMemberDialogStartWarLabel { get; set; } = "Start War:";
        public override string GuildMemberDialogRepairLabel { get; set; } = "Repair Fund:";
        public override string GuildMemberDialogMerchantLabel { get; set; } = "Merchant Fund:";
        public override string GuildMemberDialogMarketLabel { get; set; } = "Market Fund:";
        public override string GuildMemberDialogKickButtonLabel { get; set; } = "Kick";
        public override string GuildMemberDialogKickButtonConfirmMsg { get; set; } = "Are you sure you want to remove {0} from the guild?";
        public override string GuildMemberDialogKickButtonConfirmCaption { get; set; } = "Kick Member";
        public override string GuildCastlePanelOwnerLabel { get; set; } = "Current Owner:";
        public override string GuildCastlePanelScheduleLabel { get; set; } = "Schedule:";
        public override string GuildCastlePanelRequestButtonLabel { get; set; } = "Submit";
        public override string GuildCastlePanelCostLabel { get; set; } = "Cost:";
        public override string GuildCastlePanelNoneText { get; set; } = "None";
        public override string GuildCastlePanelInProgressText { get; set; } = "In Progress";
        public override string GuildRepairGatesConfirmMsg { get; set; } = "Estimated cost to repair gates will be {0:#,##0}. Are you sure?";
        public override string GuildRepairGatesConfirmCaption { get; set; } = "Repair Gates";
        public override string GuildRepairGuardsConfirmMsg { get; set; } = "Estimated cost to repair guards will be {0:#,##0}. Are you sure?";
        public override string GuildRepairGuardsConfirmCaption { get; set; } = "Repair Guards";

        public override string InventoryDialogTitle { get; set; } = "Inventory";
        public override string InventoryDialogPrimaryCurrencyTitle { get; set; } = "Gold";
        public override string InventoryDialogSecondaryCurrencyTitle { get; set; } = "GG";
        public override string InventoryDialogSortButtonHint { get; set; } = "Sort";
        public override string InventoryDialogTrashButtonHint { get; set; } = "Trash";
        public override string InventoryDialogWalletLabelHint { get; set; } = "Wallet [{0}]";

        public override string MagicDialogTitle { get; set; } = "Magic";

        public override string MenuDialogTitle { get; set; } = "Menu";
        public override string MenuDialogSettingsButtonLabel { get; set; } = "Settings";
        public override string MenuDialogGuildButtonLabel { get; set; } = "Guild";
        public override string MenuDialogStorageButtonLabel { get; set; } = "Storage";
        public override string MenuDialogRankingButtonLabel { get; set; } = "Ranking";
        public override string MenuDialogCompanionButtonLabel { get; set; } = "Companion";
        public override string MenuDialogLeaveButtonLabel { get; set; } = "Exit Game";

        public override string MenuDialogSettingsButtonHint { get; set; } = "Settings [{0}]";
        public override string MenuDialogGuildButtonHint { get; set; } = "Guild [{0}]";
        public override string MenuDialogStorageButtonHint { get; set; } = "Storage [{0}]";
        public override string MenuDialogRankingButtonHint { get; set; } = "Ranking [{0}]";
        public override string MenuDialogCompanionButtonHint { get; set; } = "Companion [{0}]";
        public override string MenuDialogLeaveButtonHint { get; set; } = "Exit Game [{0}]";

        public override string MainPanelCharacterButtonHint { get; set; } = "Character [{0}]";
        public override string MainPanelInventoryButtonHint { get; set; } = "Inventory [{0}]";
        public override string MainPanelCompanionButtonHint { get; set; } = "Companion [{0}]";
        public override string MainPanelSpellButtonHint { get; set; } = "Spells [{0}]";
        public override string MainPanelQuestButtonHint { get; set; } = "Quests [{0}]";
        public override string MainPanelMailButtonHint { get; set; } = "Communication [{0}]";
        public override string MainPanelBeltButtonHint { get; set; } = "Belt [{0}]";
        public override string MainPanelGroupButtonHint { get; set; } = "Group [{0}]";
        public override string MainPanelMenuButtonHint { get; set; } = "Menu [{0}]";
        public override string MainPanelCashShopButtonHint { get; set; } = "Cash Shop [{0}]";
        public override string MainPanelClassLabel { get; set; } = "Cl";
        public override string MainPanelClassHint { get; set; } = "Class";
        public override string MainPanelLevelLabel { get; set; } = "Lv";
        public override string MainPanelLevelHint { get; set; } = "Level";
        public override string MainPanelACLabel { get; set; } = "AC";
        public override string MainPanelMRLabel { get; set; } = "MR";
        public override string MainPanelDCLabel { get; set; } = "DC";
        public override string MainPanelMCLabel { get; set; } = "MC";
        public override string MainPanelSCLabel { get; set; } = "SC";
        public override string MainPanelAccuracyLabel { get; set; } = "Acc";
        public override string MainPanelAccuracyHint { get; set; } = "Accuracy";
        public override string MainPanelAgilityLabel { get; set; } = "Agl";
        public override string MainPanelAgilityHint { get; set; } = "Agility";

        public override string MarketPlaceDialogTitle { get; set; } = "Market Place";
        public override string MarketPlaceDialogSearchTabLabel { get; set; } = "Search";
        public override string MarketPlaceDialogSearchTabNameLabel { get; set; } = "Name:";
        public override string MarketPlaceDialogSearchTabItemLabel { get; set; } = "Item:";
        public override string MarketPlaceDialogSearchTabSortLabel { get; set; } = "Sort:";
        public override string MarketPlaceDialogSearchTabSearchButtonLabel { get; set; } = "Search";
        public override string MarketPlaceDialogSearchTabClearButtonLabel { get; set; } = "Clear";
        public override string MarketPlaceDialogSearchTabSaleHistoryLabel { get; set; } = "Sale History";
        public override string MarketPlaceDialogSearchTabSaleHistoryNumberSoldLabel { get; set; } = "Number Sold:";
        public override string MarketPlaceDialogSearchTabSaleHistoryLastPriceLabel { get; set; } = "Last Price:";
        public override string MarketPlaceDialogSearchTabSaleHistoryAvgPriceLabel { get; set; } = "Avg. Price:";
        public override string MarketPlaceDialogSearchTabMessageLabel { get; set; } = "Message";
        public override string MarketPlaceDialogSearchTabBuyingLabel { get; set; } = "Buying";
        public override string MarketPlaceDialogSearchTabBuyingCountLabel { get; set; } = "Count:";
        public override string MarketPlaceDialogSearchTabBuyingPriceLabel { get; set; } = "Price:";
        public override string MarketPlaceDialogSearchTabBuyingTotalLabel { get; set; } = "Total:";
        public override string MarketPlaceDialogSearchTabBuyingGuildLabel { get; set; } = "Use Guild Funds:";
        public override string MarketPlaceDialogSearchTabBuyingBuyButtonLabel { get; set; } = "Buy";
        public override string MarketPlaceDialogConsignTabLabel { get; set; } = "Consign";
        public override string MarketPlaceDialogConsignTabStep1Label { get; set; } = "Step 1";
        public override string MarketPlaceDialogConsignTabStep1SelectItemLabel { get; set; } = "Select Item:";
        public override string MarketPlaceDialogConsignTabStep1SaleHistoryLabel { get; set; } = "Sale History";
        public override string MarketPlaceDialogConsignTabStep1NumberSoldLabel { get; set; } = "Number Sold:";
        public override string MarketPlaceDialogConsignTabStep1LastPriceLabel { get; set; } = "Last Price:";
        public override string MarketPlaceDialogConsignTabStep1AvgPriceLabel { get; set; } = "Avg. Price:";
        public override string MarketPlaceDialogConsignTabStep2Label { get; set; } = "Step 2";
        public override string MarketPlaceDialogConsignTabStep2PriceLabel { get; set; } = "Price";
        public override string MarketPlaceDialogConsignTabStep3Label { get; set; } = "Step 3 - Message";
        public override string MarketPlaceDialogConsignTabStep4Label { get; set; } = "Step 4";
        public override string MarketPlaceDialogConsignTabStep4ConsignCostLabel { get; set; } = "Consign Cost:";
        public override string MarketPlaceDialogConsignTabStep4ConsignGuildLabel { get; set; } = "Use Guild Funds:";
        public override string MarketPlaceDialogConsignTabStep4ConsignButtonLabel { get; set; } = "Consign";
        public override string MarketPlaceDialogConsignTabSearchingLabel { get; set; } = "Searching...";
        public override string MarketPlaceDialogConsignTabCancelListingCaption { get; set; } = "Cancel Listing";
        public override string MarketPlaceDialogGameStoreTabLabel { get; set; } = "Game Store";
        public override string MarketPlaceDialogGameStoreTabNameLabel { get; set; } = "Name";
        public override string MarketPlaceDialogGameStoreTabItemLabel { get; set; } = "Item";
        public override string MarketPlaceDialogGameStoreTabSortLabel { get; set; } = "Sort";
        public override string MarketPlaceDialogGameStoreTabSearchButtonLabel { get; set; } = "Search";
        public override string MarketPlaceDialogGameStoreTabClearButtonLabel { get; set; } = "Clear";
        public override string MarketPlaceDialogGameStoreTabHuntGoldLabel { get; set; } = "Hunt Gold";
        public override string MarketPlaceDialogGameStoreTabHuntGoldAmountLabel { get; set; } = "Amount:";
        public override string MarketPlaceDialogGameStoreTabGameGoldLabel { get; set; } = "Game Gold";
        public override string MarketPlaceDialogGameStoreTabGameGoldAmountLabel { get; set; } = "Amount:";
        public override string MarketPlaceDialogGameStoreTabGameGoldRechargeButtonLabel { get; set; } = "Buy Game Gold";
        public override string MarketPlaceDialogGameStoreTabGameGoldRechargeButtonConfirmMessage { get; set; } = "You're about to navigate to a page that could minimize your game,\nDo you want to continue?";
        public override string MarketPlaceDialogGameStoreTabGameGoldRechargeButtonConfirmCaption { get; set; } = "Buy Game Gold";
        public override string MarketPlaceDialogGameStoreTabBuyingLabel { get; set; } = "Buying";
        public override string MarketPlaceDialogGameStoreTabBuyingCountLabel { get; set; } = "Count:";
        public override string MarketPlaceDialogGameStoreTabBuyingPriceLabel { get; set; } = "G. Gold:";
        public override string MarketPlaceDialogGameStoreTabBuyingTotalLabel { get; set; } = "Total:";
        public override string MarketPlaceDialogGameStoreTabBuyingUseHuntGoldLabel { get; set; } = "Use Hunt Gold:";
        public override string MarketPlaceDialogGameStoreTabBuyingBuyButtonLabel { get; set; } = "Buy";

        public override string MonsterDialogUndeadIconHint { get; set; } = "Undead";
        public override string MonsterDialogMortalIconHint { get; set; } = "Mortal";
        public override string MonsterDialogTamableIconHint { get; set; } = "Tamable";
        public override string MonsterDialogUntamableIconHint { get; set; } = "Untamable";
        public override string MonsterDialogAttackingIconDefaultHint { get; set; } = "Attack Speed";
        public override string MonsterDialogMovingIconDefaultHint { get; set; } = "Movement Speed";
        public override string MonsterDialogGrowthIconDefaultHint { get; set; } = "Growth";
        public override string MonsterDialogGrowthIconHint { get; set; } = "Growth Lv. {0}";
        public override string MonsterDialogAttackSpeedIconAttackingNonHint { get; set; } = "Non Attacking";
        public override string MonsterDialogAttackSpeedIconAttackingVerySlowHint { get; set; } = "Attacking: Very Slow";
        public override string MonsterDialogAttackSpeedIconAttackingSlowHint { get; set; } = "Attacking: Slow";
        public override string MonsterDialogAttackSpeedIconAttackingSomewhatSlowHint { get; set; } = "Attacking: Somewhat Slow";
        public override string MonsterDialogAttackSpeedIconAttackingModerateHint { get; set; } = "Attacking: Moderate";
        public override string MonsterDialogAttackSpeedIconAttackingSomewhatFastHint { get; set; } = "Attacking: Somewhat Fast";
        public override string MonsterDialogAttackSpeedIconAttackingFastHint { get; set; } = "Attacking: Fast";
        public override string MonsterDialogAttackSpeedIconAttackingVeryFastHint { get; set; } = "Attacking: Very Fast";
        public override string MonsterDialogMovementSpeedIconMovingNonHint { get; set; } = "Non Moving";
        public override string MonsterDialogMovementSpeedIconMovingVerySlowHint { get; set; } = "Moving: Very Slow";
        public override string MonsterDialogMovementSpeedIconMovingSlowHint { get; set; } = "Moving: Slow";
        public override string MonsterDialogMovementSpeedIconMovingSomewhatSlowHint { get; set; } = "Moving: Somewhat Slow";
        public override string MonsterDialogMovementSpeedIconMovingModerateHint { get; set; } = "Moving: Moderate";
        public override string MonsterDialogMovementSpeedIconMovingSomewhatFastHint { get; set; } = "Moving: Somewhat Fast";
        public override string MonsterDialogMovementSpeedIconMovingFastHint { get; set; } = "Moving: Fast";
        public override string MonsterDialogMovementSpeedIconMovingVeryFastHint { get; set; } = "Moving: Very Fast";

        public override string QuestDialogTitle { get; set; } = "Quest Log";
        public override string QuestDialogCurrentTab { get; set; } = "Current";
        public override string QuestDialogAvailableTab { get; set; } = "Available";
        public override string QuestDialogCompletedTab { get; set; } = "Completed";
        public override string QuestTabDetailsLabel { get; set; } = "Details";
        public override string QuestTabShowQuestTrackerLabel { get; set; } = "Show Quest Tracker";
        public override string QuestTabTasksLabel { get; set; } = "Tasks";
        public override string QuestTabRewardsLabel { get; set; } = "Rewards";
        public override string QuestTabChoiceLabel { get; set; } = "Choice";
        public override string QuestTabStartLabel { get; set; } = "Start:";
        public override string QuestTabEndLabel { get; set; } = "End:";
        public override string QuestAbandonButtonLabel { get; set; } = "Abandon";
        public override string QuestAbandonConfirmationCaption { get; set; } = "Abandon Quest";
        public override string QuestAbandonConfirmationMessage { get; set; } = "Are you sure you want to abandon this quest?";

        public override string RankingDialogTitle { get; set; } = "Ranking";
        public override string RankingDialogGlobalTabLabel { get; set; } = "Global";
        public override string RankingDialogSearchButtonLabel { get; set; } = "Search";
        public override string RankingDialogObserveButtonLabel { get; set; } = "Observe";
        public override string RankingDialogOnlineOnlyLabel { get; set; } = "Online Only";
        public override string RankingDialogObservableLabel { get; set; } = "Observable";

        public override string StorageDialogTitle { get; set; } = "Storage";
        public override string StorageDialogSortButtonLabel { get; set; } = "Sort";
        public override string StorageDialogFilterNameLabel { get; set; } = "Name:";
        public override string StorageDialogFilterItemLabel { get; set; } = "Item:";
        public override string StorageDialogFilterClearButtonLabel { get; set; } = "Clear";
        public override string StorageDialogStorageTab { get; set; } = "Storage";
        public override string StorageDialogPartsTab { get; set; } = "Parts";

        public override string TradeDialogTitle { get; set; } = "Trade Window";
        public override string TradeDialogUserLabel { get; set; } = "User";
        public override string TradeDialogPlayerLabel { get; set; } = "Player";
        public override string TradeDialogGoldLabel { get; set; } = "Gold";
    }
}
